<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-settings-affiliate-social-share" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Affiliate Social Share', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<?php echo __( 'Enable Sharing On', 'slicewp' ); ?></label>
			</div>

			<div class="slicewp-asos-platforms ui-sortable">

<?php

			$platforms = slicewp_get_setting( 'asos_platforms_order' );

			$platforms = ! empty( $platforms ) ? explode( ',', $platforms ) : slicewp_asos_get_supported_platforms();

			// Show the settings for each of the platforms
			foreach ( $platforms as $platform ):

				$platform_data = slicewp_asos_get_platform_data( $platform );

?>

				<div class="slicewp-asos-platform" data-platform="<?php echo( esc_attr( $platform ) );?>">

					<div class="slicewp-sort-handle ui-sortable-handle"></div>

					<div class="slicewp-switch">
						<input id="slicewp-affiliate-social-share-<?php echo( esc_attr( $platform ) );?>" class="slicewp-toggle slicewp-toggle-round" name="settings[affiliate_social_share][<?php echo( esc_attr( $platform ) );?>]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['affiliate_social_share'][$platform] ) ? esc_attr( $_POST['settings']['affiliate_social_share'][$platform] ) : ( empty( $_POST ) ? ( isset ( slicewp_get_setting( 'affiliate_social_share' )[$platform] ) ? slicewp_get_setting( 'affiliate_social_share' )[$platform] : '' ) : '' ), '1' ); ?> />
						<label for="slicewp-affiliate-social-share-<?php echo( esc_attr( $platform ) );?>"></label>
					</div>

					<label for="slicewp-affiliate-social-share-<?php echo( esc_attr( $platform ) );?>"><?php echo( $platform_data['name'] ); ?></label>

				</div>

			<?php endforeach; ?>

			</div>

		</div>

		<input id="slicewp-asos-platforms-order" type="hidden" name="settings[asos_platforms_order]" value="<?php echo slicewp_get_setting( 'asos_platforms_order' ); ?>" />

		<!-- Default Tweet -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-affiliate-social-share-default-tweet">
					<?php echo __( 'Default X Post', 'slicewp' ); ?></label>
				</label>
			</div>

			<textarea id="slicewp-affiliate-social-share-default-tweet" name="settings[asos_default_tweet]" maxlength="280"><?php echo( ! empty( $_POST['settings']['asos_default_tweet'] ) ? esc_attr( $_POST['settings']['asos_default_tweet'] ) : ( slicewp_get_setting( 'asos_default_tweet' ) ) ); ?></textarea>

		</div><!-- / Default Tweet -->

	</div>

</div>