<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Show the share buttons in the affiliate account.
 *
 */
function slicewp_asos_output_social_share_buttons() {

	// Get the current affiliate id and it's affiliate link
	$share_url = slicewp_get_affiliate_url( slicewp_get_current_affiliate_id() );

	// Get the platforms order
	$platforms = slicewp_get_setting( 'asos_platforms_order', array() );

	if ( ! empty( $platforms ) ) {
		$platforms = explode( ',', $platforms );
	} else {
		$platforms = slicewp_asos_get_supported_platforms();
	}

	$output = '<div class="slicewp-asos-wrapper">';

	foreach ( $platforms as $platform ) {

		// Check if platform is enabled
		if ( ! isset( slicewp_get_setting( 'affiliate_social_share', array() )[$platform] ) ) {
			continue;
		}

		$platform_data = slicewp_asos_get_platform_data( $platform );

		// Show the share link
		$output .= '<a class="slicewp-asos-platform slicewp-asos-platform-' . esc_attr( $platform ) .'" title ="' . esc_attr( sprintf( __( 'Share on %s', 'slicewp') , $platform_data['name'] ) ) . '" href="' . esc_url( $platform_data['share_url'] . rawurlencode( $share_url ), array_merge( wp_allowed_protocols(), array( 'whatsapp' ) ) ) . '">';
			$output .= $platform_data['icon'];
		$output .= '</a>';

	}

	$output .= '</div>';

	echo $output;

}
add_action( 'slicewp_affiliate_account_affiliate_link_actions', 'slicewp_asos_output_social_share_buttons' );
add_action( 'slicewp_affiliate_account_custom_affiliate_link_actions', 'slicewp_asos_output_social_share_buttons' );