<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * "ConvertKit Integration" add-on class.
 * 
 */
class SliceWP_Add_On_ConvertKit_Integration extends SliceWP_Add_On {

	/**
	 * Construct.
	 * 
	 */
	public function __construct() {

		// Slug.
		$this->slug = 'convertkit_integration';

		// Name.
		$this->name = 'ConvertKit Integration';

		// Description.
		$this->description = 'Allow your affiliates to subscribe to your ConvertKit mailing list when they sign up for your affiliate program.';

		// Icon URL.
		$this->icon_url = $this->get_dir_url() . 'assets/img/add-on-icon-convertkit-integration.png';

		// Documentation URL.
		$this->documentation_url = 'https://slicewp.com/products/convertkit-integration/';

		// Settings URL.
		$this->settings_url = add_query_arg( array( 'page' => 'slicewp-settings', 'tab' => 'integrations' ), admin_url( 'admin.php' ) ) . '#slicewp-card-settings-convertkit-integration';

		// Author information.
		$this->author 	  = 'SliceWP';
		$this->author_url = 'https://slicewp.com/';

		parent::__construct();

	}


	/**
	 * Include files.
	 * 
	 */
	protected function include_files() {

		// If the legacy add-on is active, don't load any files.
		if ( _slicewp_is_legacy_single_add_on_active( $this->slug ) ) {
			return;
		}

		$files = array(
			'base/functions.php',
			'base/class-integration-convertkit.php',
			'base/functions-actions-ajax.php',
			'admin/functions.php'
		);
 
		foreach ( $files as $file ) {

			include plugin_dir_path( __FILE__ ) . 'includes/' . $file;

		}

	}

}


/**
 * Registers the "ConvertKit Integration" add-on.
 * 
 * @param array $add_ons
 * 
 * @return array
 * 
 */
function slicewp_register_add_on_convertkit_integration( $add_ons ) {

	$add_ons['convertkit_integration'] = 'SliceWP_Add_On_ConvertKit_Integration';

	return $add_ons;

}
add_filter( 'slicewp_register_add_on', 'slicewp_register_add_on_convertkit_integration', 120 );