jQuery( function($) {

	/**
	 * Move the "Custom Affiliate Slug" settings just under the "Affiliate URL Settings" settings
	 *
	 */
	var settings = $('#slicewp-card-settings-custom-affiliate-slug').detach();

	$('[name="settings[affiliate_keyword]"]').closest( '.slicewp-card' ).after( settings );
	$('#slicewp-card-settings-custom-affiliate-slug').show();


	/**
	 * Show/hide the "Show Slug Referral Link" option based on the selected value in the
	 * "Affiliate Referral Link Format" option
	 *
	 */
	if ( $('[name="settings[affiliate_referral_link_format]"]').val() == 'id' ) {
		$('[name="settings[custom_affiliate_slug_referral_link_display]"]').closest( '.slicewp-field-wrapper' ).show();
	}

	$(document).on( 'change', '[name="settings[affiliate_referral_link_format]"]', function() {

		if ( $(this).val() == 'id' ) {
			$('[name="settings[custom_affiliate_slug_referral_link_display]"]').closest( '.slicewp-field-wrapper' ).show();
		} else {
			$('[name="settings[custom_affiliate_slug_referral_link_display]"]').closest( '.slicewp-field-wrapper' ).hide();
		}

	});


	/**
	 * Show/hide the random slug type and length options based on the "Auto Random Slugs" option value.
	 *
	 */
	function show_hide_auto_slug_options() {

		var $auto_random = $('[name="settings[custom_affiliate_slug_auto_random]"]');

		$auto_random.closest( '.slicewp-card' ).find( '.slicewp-field-wrapper' ).removeClass( 'slicewp-last' );

		if ( $auto_random.is( ':checked' ) ) {
			$auto_random.closest( '.slicewp-field-wrapper' ).nextAll( '.slicewp-field-wrapper' ).show();
		} else {
			$auto_random.closest( '.slicewp-field-wrapper' ).nextAll( '.slicewp-field-wrapper' ).hide();
		}

		$auto_random.closest( '.slicewp-card' ).find( '.slicewp-field-wrapper:visible:last' ).addClass( 'slicewp-last' );

	}

	show_hide_auto_slug_options();

	$(document).on( 'change', '[name="settings[custom_affiliate_slug_auto_random]"]', function() {

		show_hide_auto_slug_options();

	});


	/**
	 * Unlock locked fields for editing.
	 *
	 */
	$(document).on( 'click', '.slicewp-field-locked a', function(e) {

		e.preventDefault();

		var $input = $(this).siblings('input').first();

		$(this).hide();
		$input.removeAttr( 'readonly' ).focus();
		$input[0].setSelectionRange( $input.val().length, $input.val().length );

		$(this).closest('.slicewp-field-wrapper').find('.slicewp-field-notice').fadeIn();

	});

});