<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_id = ( ! empty( $_GET['affiliate_id'] ) ? sanitize_text_field( $_GET['affiliate_id'] ) : 0 );
$sub_page	  = ( ! empty( $_GET['subpage'] ) ? sanitize_text_field( $_GET['subpage'] ) : '' );

?>

<div id="slicewp-card-affiliate-custom-affiliate-slug" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Custom Slug', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Allow Slug Creation -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-custom-slug-creation">
					<?php echo __( 'Allow Slug Creation', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( '<ul><li>' . sprintf( __( "%sSite default%s: This affiliate's ability to create and modify their own custom slug is determined by the Allow Sitewide Slug Creation option from the plugin's general settings." , 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( '%1$sEnabled%2$s: This affiliate will be able to create and modify their own custom slug.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( '%1$sDisabled%2$s: This affiliate will not be able to create or modify their own custom slug.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li></ul>' ); ?>
				</label>
			</div>

			<select id="slicewp-enable-custom-slug-creation" name="custom_slug_creation" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="enabled" <?php selected( slicewp_get_affiliate_meta( $affiliate_id, 'custom_slug_creation', true ), 'enabled' ); ?>><?php echo __( 'Enabled', 'slicewp' ); ?></option>
				<option value="disabled" <?php selected( slicewp_get_affiliate_meta( $affiliate_id, 'custom_slug_creation', true ), 'disabled' ); ?>><?php echo __( 'Disabled', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Allow Slug Creation -->

		<!-- Custom Slug -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-custom-slug">
					<?php echo __( 'Custom Slug', 'slicewp' ); ?>
				</label>
			</div>

			<?php

				$field_value = ( ! empty( $_POST['custom_slug'] ) ? $_POST['custom_slug'] : slicewp_get_affiliate_meta( $affiliate_id, 'custom_slug', true ) );
				$field_value = ( empty( $field_value ) && $sub_page == 'add-affiliate' && ! empty( slicewp_get_setting( 'custom_affiliate_slug_auto_random', '' ) ) ? slicewp_generate_unique_affiliate_slug() : $field_value );

				$is_locked   = ( $sub_page == 'edit-affiliate' && ! empty( $field_value ) && ! in_array( 'custom_slug', slicewp_form_errors()->get_error_codes() ) ? true : false );

			?>

			<div class="<?php echo ( $is_locked ? 'slicewp-field-locked' : '' ); ?>">
				
				<input id="slicewp-custom-slug" name="custom_slug" type="text" value="<?php echo esc_attr( $field_value ); ?>" <?php echo ( $is_locked ? 'readonly' : '' ); ?>>

				<?php if ( $is_locked ): ?>
					<a href="#"><span class="dashicons dashicons-lock"></span><?php echo __( 'Unlock', 'slicewp' ); ?></a>
				<?php endif; ?>

			</div>

			<div class="slicewp-field-notice slicewp-field-notice-warning" <?php echo ( $sub_page == 'edit-affiliate' && ! empty( $field_value ) && ! $is_locked ? 'style="display: block;"' : '' ); ?>><p><?php echo sprintf( __( "%sImportant note%s: Changing the affiliate's custom slug will break all of the affiliate's referral links using the current slug.", 'slicewp' ), '<strong>', '</strong>', '<strong>', '</strong>' ); ?></p></div>

		</div><!-- / Custom Slug -->

	</div>

</div>