<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-settings-custom-affiliate-slug" class="slicewp-card" style="display: none;">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Custom Affiliate Slug', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Allow Sitewide Creation -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide slicewp-first">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-custom-affiliate-slug-creation">
					<?php echo __( 'Allow Sitewide Slug Creation', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( '<ul><li>' . sprintf( __( '%1$sEnabled%2$s: With sitewide enabled all your affiliates will be able to create their own custom slug. You can disable the ability to create slugs for each individual affiliate, if needed.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( '%1$sDisabled%2$s: With sitewide disabled none of your affiliates will be able to create their own custom slug. You can, however, allow individual affiliates to create their own slug from the admin affiliate edit page.' , 'slicewp' ), '<strong>', '</strong>' ) . '</li></ul>' ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-enable-custom-affiliate-slug-creation" class="slicewp-toggle slicewp-toggle-round" name="settings[custom_affiliate_slug_creation]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['custom_affiliate_slug_creation'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'custom_affiliate_slug_creation' ) : '' ), '1' ); ?> />
				<label for="slicewp-enable-custom-affiliate-slug-creation"></label>

			</div>

			<label for="slicewp-enable-custom-affiliate-slug-creation"><?php echo __( 'Allow all affiliates the ability to create their own custom slug.', 'slicewp' ); ?></label>

		</div>
		<!-- / Allow Sitewide Creation -->

		<!-- Affiliate Link Format -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-affiliate-referral-link-format">
					<?php echo __( 'Affiliate Referral Link Format', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( '<ul><li>' . sprintf( __( "%sAffiliate ID%s: The referral links will be built using the affiliate's ID." , 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( "%sAffiliate Custom Slug%s: The referral links will be built using the affiliate's custom slug. If the slug is missing, the affiliate's ID will be used instead." , 'slicewp' ), '<strong>', '</strong>' ) . '</li></ul>' ); ?>
				</label>
			</div>

			<select id="slicewp-affiliate-referral-link-format" name="settings[affiliate_referral_link_format]" class="slicewp-select2">
				<option value="id" <?php echo ( slicewp_get_setting( 'affiliate_referral_link_format' ) == 'id' ? 'selected="selected"' : '' ); ?>><?php echo __( 'With affiliate ID', 'slicewp' ); ?></option>
				<option value="custom_slug" <?php echo ( slicewp_get_setting( 'affiliate_referral_link_format' ) == 'custom_slug' ? 'selected="selected"' : '' ); ?>><?php echo __( 'With affiliate custom slug', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Affiliate Link Format -->

		<!-- Show Custom Slug Link -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-show-custom-affiliate-slug-referral-link">
					<?php echo __( 'Show Slug Referral Link', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( sprintf( __( "%sDisplays the affiliate referral link with the custom slug, in the Affiliate Links tab of the affiliate account, alongside the affiliate's default referral link.%s This link will be displayed only if the affiliate has a custom slug and if the Affiliate Referral Link Format option is set to With affiliate ID.%s", 'slicewp' ), '<p>', '</p><p>', '</p>' ) ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-show-custom-affiliate-slug-referral-link" class="slicewp-toggle slicewp-toggle-round" name="settings[custom_affiliate_slug_referral_link_display]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['custom_affiliate_slug_referral_link_display'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'custom_affiliate_slug_referral_link_display' ) : '' ), '1' ); ?> />
				<label for="slicewp-show-custom-affiliate-slug-referral-link"></label>

			</div>

			<label for="slicewp-show-custom-affiliate-slug-referral-link"><?php echo __( 'Show the custom slug referral link in the affiliate account.', 'slicewp' ); ?></label>

		</div>
		<!-- / Show Custom Slug Link -->

		<!-- Auto Random Slugs -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-auto-random-slugs">
					<?php echo __( 'Auto Random Slugs', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'When enabled, a unique random slug will be created automatically for the affiliate when the affiliate is registered.', 'slicewp' ) ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-auto-random-slugs" class="slicewp-toggle slicewp-toggle-round" name="settings[custom_affiliate_slug_auto_random]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['custom_affiliate_slug_auto_random'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'custom_affiliate_slug_auto_random' ) : '' ), '1' ); ?> />
				<label for="slicewp-auto-random-slugs"></label>

			</div>

			<label for="slicewp-auto-random-slugs"><?php echo __( 'Create a random slug when the affiliate is registered.', 'slicewp' ); ?></label>

		</div>
		<!-- / Auto Random Slugs -->

		<!-- Auto Slug Type -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-random-slug-type">
					<?php echo __( 'Random Slug Type', 'slicewp' ); ?>
				</label>
			</div>

			<select id="slicewp-random-slug-type" name="settings[custom_affiliate_slug_random_type]" class="slicewp-select2">
				<option value="alphanumeric" <?php echo ( slicewp_get_setting( 'custom_affiliate_slug_random_type' ) == 'alphanumeric' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Alphanumeric', 'slicewp' ); ?></option>
				<option value="alpha" <?php echo ( slicewp_get_setting( 'custom_affiliate_slug_random_type' ) == 'alpha' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Alphabetical', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Auto Slug Type -->

		<!-- Auto Slug Length -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-random-slug-length">
					<?php echo __( 'Random Slug Length', 'slicewp' ); ?>
				</label>
			</div>

			<input id="slicewp-random-slug-length" name="settings[custom_affiliate_slug_random_length]" type="number" min="5" max="50" value="<?php echo ( ! empty( $_POST['settings']['custom_affiliate_slug_random_length'] ) ? esc_attr( $_POST['settings']['custom_affiliate_slug_random_length'] ) : ( slicewp_get_setting( 'custom_affiliate_slug_random_length', '7' ) ) ); ?>">

		</div>
		<!-- / Auto Slug Length -->

	</div>

</div>