<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Adds a warning for the affiliate custom slug field, to warn users that changing the custom slug will
 * break their existing affiliate link that are using the current slug.
 *
 * @param string $form
 *
 */
function slicewp_add_affiliate_custom_slug_field_warning( $form ) {

	if ( 'affiliate_account' != $form ) {
		return;
	}

	?>

		<div class="slicewp-field-warning-message" data-field="custom_slug" style="display: none;">

			<p><?php echo __( 'Please note that by changing your affiliate slug any of your existing referral links using an older affiliate slug may no longer work.', 'slicewp' ); ?></p>

		</div>

	<?php

}
add_action( 'slicewp_form_fields', 'slicewp_add_affiliate_custom_slug_field_warning' );