<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_id = ( ! empty( $_GET['affiliate_id'] ) ? sanitize_text_field( $_GET['affiliate_id'] ) : 0 );

?>

<div id="slicewp-card-affiliate-lifetime-commissions" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Lifetime Commissions', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Lifetime Commissions -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-enable-lifetime-commissions">
					<?php echo __( 'Lifetime Commissions', 'slicewp' ); ?>
				</label>
			</div>

			<select id="slicewp-lifetime-commissions" name="lifetime_commissions" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="custom" <?php selected( slicewp_get_affiliate_meta( $affiliate_id, 'lifetime_commissions', true ), 'custom' ); ?>><?php echo __( 'Custom', 'slicewp' ); ?></option>
				<option value="disabled" <?php selected( slicewp_get_affiliate_meta( $affiliate_id, 'lifetime_commissions', true ), 'disabled' ); ?>><?php echo __( 'Disabled', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Lifetime Commissions -->

		<!-- Lifetime Commission Rate -->
		<?php
			$commission_types  = slicewp_get_commission_types();
			$lifetime_details = $commission_types['lifetime_sale'];

			$rate 	   = slicewp_get_affiliate_meta( $affiliate_id, 'commission_rate_lifetime_sale', true );
			$rate_type = slicewp_get_affiliate_meta( $affiliate_id, 'commission_rate_type_lifetime_sale', true );
		?>

		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-commission-rate" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commission-rate-lifetime">
					<?php echo __( 'Lifetime Sale Rate', 'slicewp' ); ?>
				</label>
			</div>
			
			<input id="slicewp-commission-rate-lifetime" name="commission_rate_lifetime_sale" type="number" step="any" min="0" value="<?php echo esc_attr( ! empty( $_POST['commission_rate_lifetime_sale'] ) ? $_POST['commission_rate_lifetime_sale'] : $rate ); ?>" />					

			<select name="commission_rate_type_lifetime_sale" class="slicewp-select2" <?php echo ( count( $lifetime_details['rate_types'] ) == 1 ? 'disabled' : '' ); ?>>
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<?php foreach ( $lifetime_details['rate_types'] as $details_rate_type ): ?>
					<option value="<?php echo esc_attr( $details_rate_type ); ?>" <?php selected( $rate_type, $details_rate_type ); ?>><?php echo ( $details_rate_type == 'percentage' ? __( 'Percentage (%)', 'slicewp' ) : __( 'Fixed Amount', 'slicewp' ) . ' (' . esc_attr( slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ) ) . ')' ); ?></option>
				<?php endforeach; ?>
			</select>

		</div>
		<!-- / Lifetime Commission Rate -->

		<!-- Lifetime Commissions Duration -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide">

			<div class="slicewp-field-label-wrapper">
				<label>
					<?php echo __( 'Lifetime Duration', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Select whether this affiliate should be rewarded for all purchases of a customer for unlimited or for a limited period of time.', 'slicewp' ) ); ?>
				</label>
			</div>

			<select id="slicewp-commissions-lifetime-duration" name="commissions_lifetime_duration" class="slicewp-select2">
				<option value=""><?php echo __( 'Site default', 'slicewp' ); ?></option>
				<option value="unlimited" <?php echo ( slicewp_get_affiliate_meta( $affiliate_id, 'commissions_lifetime_duration', true ) == 'unlimited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Unlimited', 'slicewp' ); ?></option>
				<option value="limited" <?php echo ( slicewp_get_affiliate_meta( $affiliate_id, 'commissions_lifetime_duration', true ) == 'limited' ? 'selected="selected"' : '' ); ?>><?php echo __( 'Limited', 'slicewp' ); ?></option>
			</select>

		</div>
		<!-- / Lifetime Commissions Duration -->

		<!-- Lifetime Commissions Limit -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline" style="display: none;">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commissions-lifetime-limit">
					<?php echo __( 'Lifetime Limit', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'The number of days the lifetime commissions will be awarded for this affiliate.' , 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-commissions-lifetime-limit" name="commissions_lifetime_limit" type="number" value="<?php echo esc_attr( ! empty( $_POST['commissions_lifetime_limit'] ) ? $_POST['commissions_lifetime_limit'] : slicewp_get_affiliate_meta( $affiliate_id, 'commissions_lifetime_limit', true ) ); ?>">

		</div><!-- / Lifetime Commissions Limit -->

		<!-- Linked Customers -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-field-wrapper-linked-customers slicewp-last">
		
			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-commission-lifetime-customer-email">
					<?php echo __( 'Linked Customers', 'slicewp' ); ?>
				</label>
			</div>

			<div class="slicewp-flex-wrapper">

				<input id="slicewp-commission-lifetime-customer-email" name="slicewp_commission_lifetime_customer_email" type="text" value="" placeholder="<?php echo __( 'Customer email address', 'slicewp' ) ?>">
		
				<a id="slicewp-commission-lifetime-link-customer-button" class="slicewp-button-secondary" href="#">
					<span class="slicewp-commission-lifetime-link-customer-button"><?php echo __( 'Link Customer', 'slicewp' ); ?></span>
				</a>

				<?php wp_nonce_field( 'slicewp_link_customer', 'slicewp_token_link_customer', false ); ?>

			</div>

			<div class="slicewp-affiliate-lifetime-linked-customers">

				<?php

					// Get the linked customers.
					$customers = array();

					if ( ! empty( $_POST['customer_ids'] ) ) {

						$customer_ids = array_map( 'absint', explode( ',', $_POST['customer_ids'] ) );
						$customers 	  = slicewp_get_customers( array( 'include' => $customer_ids ) );
					
					} else {

						$customers = ( ! empty( $affiliate_id ) ? slicewp_ltc_get_affiliate_linked_customers( $affiliate_id ) : array() );
					
					}

					// Show the linked customers.
					if ( ! empty ( $customers ) ) {
						
						foreach ( $customers as $customer ) {

							$user_id    = $customer->get( 'user_id' );
							$first_name = $customer->get( 'first_name' );
							$last_name  = $customer->get( 'last_name' );

							?>

								<div class="slicewp-affiliate-lifetime-linked-customer">
									<div class="slicewp-affiliate-lifetime-linked-customer-details">
										<div class="slicewp-affiliate-lifetime-linked-customer-name"><?php echo ( ! empty( $first_name ) || ! empty( $last_name ) ? esc_html( $first_name . ' ' . $last_name ) : __( 'Unnamed customer', 'slicewp' ) ); ?></div>
										<div class="slicewp-affiliate-lifetime-linked-customer-email"><?php echo esc_html( $customer->get( 'email' ) ); ?></div>
									</div>

									<div class="slicewp-affiliate-lifetime-linked-customer-actions">
										<?php echo ( ! empty( $user_id ) ? '<a href="' . esc_url( add_query_arg( array( 'user_id' => absint( $user_id ) ), admin_url( 'user-edit.php' ) ) ) . '">' . __( 'View profile', 'slicewp' ) . '</a>' : '' ); ?>
										<span class="slicewp-affiliate-lifetime-unlink-customer slicewp-trash" data-customer-id="<?php echo absint( $customer->get( 'id' ) ); ?>"><a href="#" data-message="<?php echo __( 'Are you sure you want to unlink this customer?', 'slicewp' ); ?>"><?php echo __( 'Unlink','slicewp' ); ?></a></span>
									</div>
								</div>
					
							<?php

						}

					}

				?>

			</div>
			
			<input type="hidden" name="customer_ids" value="<?php echo esc_attr( ! empty( $_POST['customer_ids'] ) ? $_POST['customer_ids']  : '' ); ?> " />

		</div>
		<!-- / Linkeded Customers -->

	</div>

</div>