<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// Get the Mailchimp API key from settings
$mailchimp_api_key = slicewp_get_setting( 'mailchimp_api_key' );

?>

<!-- Mailchimp Integration Settings -->
<div id="slicewp-card-settings-mailchimp-integration" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Mailchimp Integration', 'slicewp' ); ?></span>
	</div>

	<div class="slicewp-card-inner">

		<!-- Enable Mailchimp -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailchimp-enabled">
					<?php echo __( 'Enable Mailchimp', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'Adds the option to join the mailing list on the Affiliate Registration form.', 'slicewp' ) ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-mailchimp-enabled" class="slicewp-toggle slicewp-toggle-round" name="settings[mailchimp_enabled]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['mailchimp_enabled'] ) ? '1' : ( empty( $_POST ) ? slicewp_get_setting( 'mailchimp_enabled' ) : '' ), '1' ); ?> />
				<label for="slicewp-mailchimp-enabled"></label>

			</div>

			<label for="slicewp-mailchimp-enabled"><?php echo __( 'Show mailing list opt-in on the affiliate registration form.', 'slicewp' ); ?></label>

		</div><!-- / Enable Mailchimp -->

		<!-- API Key -->
		<div id="slicewp-field-wrapper-mailchimp-api-key" class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailchimp-api-key">
					<?php echo __( 'API Key', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( sprintf( __( 'You can find the API key in the API Keys section of your %sMailchimp account%s.', 'slicewp' ), '<a href="https://admin.mailchimp.com/account/api/" target="_blank">', '</a>' ) ); ?>
				</label>
			</div>

			<div class="slicewp-flex">
				<input id="slicewp-mailchimp-api-key" name="settings[mailchimp_api_key]" type="password" value="<?php echo( ! empty( $_POST['settings']['mailchimp_api_key'] ) ? esc_attr( $_POST['settings']['mailchimp_api_key'] ) : $mailchimp_api_key ); ?>">
				<a href="#" id="slicewp-connect-mailchimp" class="slicewp-button-secondary">
					<span><?php echo __( 'Connect', 'slicewp' ); ?></span>
					<div class="spinner"></div>
				</a>
			</div>

		</div><!-- / API Key -->

		<!-- Mailchimp fields -->
		<div id="slicewp-mailchimp-integration-fields" style="display: block; position: relative;">

			<?php

			if ( ! empty( $mailchimp_api_key ) ) {

				slicewp()->services['mailchimp']->output_audiences();
				slicewp()->services['mailchimp']->output_tags( slicewp_get_setting( 'mailchimp_audience' ) );

			}

			?>

		</div><!-- Mailchimp fields -->

		<!-- Double opt-in -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailchimp-double-optin">
					<?php echo __( 'Double Opt-in', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( "Enabling this setting will require the user to confirm their subscription. A confirmation email will be sent to the affiliate's email address.", 'slicewp' ) ); ?>
				</label>
			</div>

			<div class="slicewp-switch">

				<input id="slicewp-mailchimp-double-optin" class="slicewp-toggle slicewp-toggle-round" name="settings[mailchimp_double_optin]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['mailchimp_double_optin'] ) ? '1' : ( empty( $_POST['settings']['mailchimp_double_optin'] ) ? slicewp_get_setting( 'mailchimp_double_optin' ) : '' ), '1' ); ?> />
				<label for="slicewp-mailchimp-double-optin"></label>

			</div>

		</div><!-- / Double opt-in -->

		<!-- Mailing List Agreement Label -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-mailchimp-mailing-list-agreement-label">
					<?php echo __( 'Mailing List Agreement Label', 'slicewp' ); ?>
					<?php echo slicewp_output_tooltip( __( 'This label will be added on the affiliate registration form next to the mailing list agreement checkbox.', 'slicewp' ) ); ?>
				</label>
			</div>

			<input id="slicewp-mailchimp-mailing-list-agreement-label" name="settings[mailchimp_mailing_list_agreement_label]" type="text" value="<?php echo htmlentities ( ! empty( $_POST['settings']['mailchimp_mailing_list_agreement_label'] ) ? esc_attr( $_POST['settings']['mailchimp_mailing_list_agreement_label'] ) : ( slicewp_get_setting( 'mailchimp_mailing_list_agreement_label' ) ) ); ?>">

		</div><!-- / Mailing List Agreement Label -->

	</div>

</div><!-- / Mailchimp Integration Settings -->