<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Attempts to connect to MailerLite and retrieve data.
 *
 */
function slicewp_mailerlite_integration_action_ajax_connect() {

	if ( empty( $_POST['slicewp_token'] ) || ! wp_verify_nonce( $_POST['slicewp_token'], 'slicewp_save_settings' ) ) {
		wp_die(0);
	}

	if ( empty( $_POST['api_key'] ) ) {
		wp_die(0);
	}

	$api_key = sanitize_text_field( $_POST['api_key'] );

	// Connect to MailerLite
	$initialized = slicewp()->services['mailerlite']->init( $api_key );

	// Check for errors
	if ( ! $initialized ) {

		// Return with fail message
		wp_send_json( array( 'success' => false, 'data' => array( 'message' => slicewp()->services['mailerlite']->get_last_error() ) ) );

	} else {

		// Save the API data
		slicewp()->services['mailerlite']->save_api_data();

		// Check for errors
		if ( ! empty( slicewp()->services['mailerlite']->get_last_error() ) ) {

			wp_send_json( array( 'success' => false, 'data' => array( 'message' => slicewp()->services['mailerlite']->get_last_error() ) ) );
			return;

		}

		// Output the fields
		slicewp()->services['mailerlite']->output_groups();

		$integration_fields  = '<div id="slicewp-mailerlite-integration-fields" style="display: block; position: relative;">';
		$integration_fields .= ob_get_contents();
		ob_end_clean();
		$integration_fields .= '</div>';

		// Return with a success message
		wp_send_json( array( 'success' => true, 'data' => array( 'message' =>  __( 'Connected succesfully to MailerLite.', 'slicewp' ), 'integration_fields' => $integration_fields ) ) );

	}

}
add_action( 'wp_ajax_slicewp_mailerlite_integration_action_ajax_connect', 'slicewp_mailerlite_integration_action_ajax_connect' );