<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * "Multi-currency" add-on class.
 * 
 */
class SliceWP_Add_On_Multi_Currency extends SliceWP_Add_On {

	/**
	 * Constructor.
	 * 
	 */
	public function __construct() {

		// Slug.
		$this->slug = 'multi_currency';

		// Name.
		$this->name = 'Multi-currency';

		// Description.
		$this->description = "Calculate affiliate commissions in the currency of your affiliate program for sales made in different currencies.";

		// Icon URL.
		$this->icon_url = $this->get_dir_url() . 'assets/img/add-on-icon-multi-currency.png';

		// Documentation URL.
		$this->documentation_url = 'https://slicewp.com/products/multi-currency/';

		// Settings URL.
		$this->settings_url = add_query_arg( array( 'page' => 'slicewp-settings', 'tab' => 'general' ), admin_url( 'admin.php' ) ) . '#slicewp-card-settings-multi-currency';

		// Author information.
		$this->author 	  = 'SliceWP';
		$this->author_url = 'https://slicewp.com/';

		parent::__construct();

	}


	/**
	 * Include files.
	 * 
	 */
	protected function include_files() {

		$files = array(
			'base/functions.php',
			'admin/functions.php',
			'admin/functions-actions-ajax.php'
		);
 
		foreach ( $files as $file ) {

			include plugin_dir_path( __FILE__ ) . 'includes/' . $file;

		}

	}

}


/**
 * Registers the "Multi-currency" add-on.
 * 
 * @param array $add_ons
 * 
 * @return array
 * 
 */
function slicewp_register_add_on_multi_currency( $add_ons ) {

	$add_ons['multi_currency'] = 'SliceWP_Add_On_Multi_Currency';

	return $add_ons;

}
add_filter( 'slicewp_register_add_on', 'slicewp_register_add_on_multi_currency', 170 );