var slicewp_multi_level_affiliates_front_end = function() {

	/**
	 * Event handler for dynamically added elements.
	 *
	 * @param {string}   event_types
	 * @param {string}   selector
	 * @param {function} callback
	 *
	 */
	function on( event_types, selector, callback ) {

		var event_types = event_types.split( ' ' );

		for ( var i = 0; i < event_types.length; i++ ) {

			document.body.addEventListener( event_types[i], function( event ) {

				for ( var target = event.target; target && target != this; target = target.parentNode ) {

					if ( target.matches( selector ) ) {

						callback.call( target, event );
						break;

					}

				}

			}, false );

		}

	}


    /**
     * Centrally position the tree diagram.
     * 
     */
	on( 'click', '.slicewp-nav-tab[data-slicewp-tab="network"]', function() {

        var tree_diagram = this.closest( '#slicewp-affiliate-account' ).querySelector( '.slicewp-tree-diagram' );

        if ( tree_diagram ) {

            tree_diagram.scrollLeft = ( tree_diagram.querySelector( '.slicewp-tree-diagram-root > .slicewp-affiliate-card' ).offsetLeft + tree_diagram.querySelector( '.slicewp-tree-diagram-root > .slicewp-affiliate-card' ).offsetWidth / 2 ) - tree_diagram.offsetWidth / 2;
            
        }

    });

    var nav_tabs = document.querySelectorAll( '.slicewp-nav-tab.slicewp-active[data-slicewp-tab="network"]' );

    for ( var i = 0; i < nav_tabs.length; i++ ) {

        nav_tabs[i].click();

    }

}

if ( document.readyState === "complete" || ( document.readyState !== "loading" && ! document.documentElement.doScroll ) ) {

	slicewp_multi_level_affiliates_front_end();

} else {

	document.addEventListener( "DOMContentLoaded", slicewp_multi_level_affiliates_front_end );

}