<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Adds a new "Network" tab in the affiliate account.
 *
 * @param array $tabs
 *
 * @return array
 *
 */
function slicewp_affiliate_account_tabs_network( $tabs ) {

    // Bail if the multi-level affiliates feature is disabled.
    if ( empty( slicewp_get_setting( 'multi_level_affiliates' ) ) ) {
		return $tabs;
	}

	$tabs = array_merge( 
		array_slice( $tabs, 0, array_search( 'commissions', array_keys( $tabs ) ) ),
		array( 
			'network' => array(
				'label' => __( 'Network', 'slicewp' ),
				'icon'  => slicewp_get_svg( 'outline-user-group' )
			)),
		array_slice( $tabs, array_search( 'commissions', array_keys( $tabs ) ), count( $tabs ) )
	);

	return $tabs;

}
add_filter( 'slicewp_affiliate_account_tabs', 'slicewp_affiliate_account_tabs_network' );