<?php
/**
 * Affiliate network invite link.
 *
 * This template can be overridden by copying it to yourtheme/slicewp/affiliate-area/affiliate-network-invite-link.php.
 *
 * HOWEVER, on occasion SliceWP will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility.
 *
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_register_page_id = absint( slicewp_get_setting( 'page_affiliate_register' ) );

if ( empty( $affiliate_register_page_id ) ) {
	return;
}

?>

<div class="slicewp-card">

	<div class="slicewp-card-inner">

		<div class="slicewp-field-wrapper" style="margin-bottom: 0;">

			<div class="slicewp-field-label-wrapper slicewp-field-description-placement-before">
				<label for="slicewp-affiliate-network-invite-link"><?php echo __( 'Your Network Invite Link', 'slicewp' ); ?></label>
				<div class="slicewp-field-description"><p><?php echo __( 'Use this link to invite people into your network.', 'slicewp' ); ?></p></div>
			</div>

			<input id="slicewp-affiliate-network-invite-link" name="affiliate_network_invite_link" type="text" readonly value="<?php echo esc_url( slicewp_get_affiliate_url( slicewp_get_current_affiliate_id(), get_permalink( $affiliate_register_page_id ) ) ); ?>" />

            <button class="slicewp-button-primary slicewp-input-copy">
                <?php echo slicewp_get_svg( 'outline-duplicate' ); ?>
                <span class="slicewp-input-copy-label"><?php echo __( 'Copy', 'slicewp' ); ?></span>
                <span class="slicewp-input-copy-label-copied"><?php echo __( 'Copied!', 'slicewp' ); ?></span>
            </button>

		</div>
		
	</div>

</div>