<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$invoice_attachment_id = absint( slicewp_get_payment_meta( $payment_id, '_invoice_attachment_id', true ) );

?>

<div class="slicewp-card">

    <div class="slicewp-card-header">
        <span class="slicewp-card-title"><?php echo __( 'Invoice', 'slicewp' ); ?></span>
    </div>

    <div class="slicewp-card-inner">

        <!-- With invoice -->
        <?php if ( ! empty( $invoice_attachment_id ) ): ?>

            <?php include 'view-element-payment-invoice-attachment.php'; ?>

        <?php endif; ?>

        <!-- No invoice -->
        <div class="slicewp-payment-invoice-empty" <?php echo ( ! empty( $invoice_attachment_id ) ? 'style="display: none;"' : '' ); ?>>
            <p><?php echo __( "This payment doesn't have an invoice attached to it.", 'slicewp' ); ?></p>
            <a href="#" class="slicewp-button-secondary slicewp-payment-add-invoice" data-nonce="<?php echo esc_attr( wp_create_nonce( 'slicewp_payment_add_invoice' ) ); ?>" data-payment-id="<?php echo absint( $payment_id ); ?>"><?php echo __( 'Add Invoice', 'slicewp' ); ?></a>
        </div>

    </div>

</div>