<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Adds the "request payout" card in the "payments" tab of the affiliate account.
 * 
 */
function slicewp_affiliate_account_tab_payments_top_payment_request() {

    $affiliate_id = slicewp_get_current_affiliate_id();

    // Return if the affiliate already has a pending payout request.
    $payments = slicewp_get_payments( array( 'affiliate_id' => $affiliate_id, 'status' => 'requested' ) );

    // Show the "payment requested" card.
    if ( ! empty( $payments ) ) {

        $payment = $payments[0];

        include 'views/view-card-payment-requested.php';

    }

    // Show the "request payout" card.
    if ( empty( $payments ) ) {

        $payment_preview = slicewp_generate_affiliate_payment_request_preview( $affiliate_id );

        // Check for commissions to be at least the payments minimum.
        if ( empty( $payment_preview['amount'] ) || $payment_preview['amount'] < absint( slicewp_get_setting( 'payments_minimum_amount', 0 ) ) ) {
            return;
        }

        include 'views/view-card-request-payout.php';

    }

}
add_action( 'slicewp_affiliate_account_tab_payments_top', 'slicewp_affiliate_account_tab_payments_top_payment_request' );