<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$affiliate_payout_method = slicewp_get_affiliate_payout_method( slicewp_get_current_affiliate_id() );
$payout_methods          = slicewp_get_payout_methods();

?>

<div class="slicewp-card">
    <div class="slicewp-card-inner">
        
        <div><?php echo sprintf( __( 'You have %s in payable commissions.', 'slicewp' ), slicewp_format_amount( $payment_preview['amount'], $payment_preview['currency'] ) ); ?></div>
        <button class="slicewp-button-primary slicewp-button-view-request-payout"><?php echo esc_html( __( 'Request Payout', 'slicewp' ) ); ?></button>

        <!-- Overlay. -->
        <div class="slicewp-global-overlay slicewp-global-overlay-payout-request">

            <div class="slicewp-global-overlay-inner">

                <!-- Close button. -->
                <span class="slicewp-global-overlay-close"><?php echo slicewp_get_svg( 'outline-x' ); ?></span>

                <h4 class="slicewp-global-overlay-title"><?php echo esc_html( __( 'Request Payout', 'slicewp' ) ); ?></h4>
                
                <!-- Form. -->
                <form>

                    <div class="slicewp-field-wrapper">
                        <label><?php echo esc_html( __( 'Payment Total', 'slicewp' ) ); ?></label>
                        <span><?php echo slicewp_format_amount( $payment_preview['amount'], $payment_preview['currency'] ); ?></span>
                    </div>

                    <?php if ( ! empty( slicewp_get_setting( 'payout_request_require_invoice', false ) ) && ! empty( $payout_methods[$affiliate_payout_method]['supports'] ) && in_array( 'payout_request_invoice', $payout_methods[$affiliate_payout_method]['supports'] ) ): ?>

                        <div class="slicewp-field-wrapper" data-type="file">
                            <label><?php echo esc_html( __( 'Invoice', 'slicewp' ) ) ?> *</label>
                            <label>
                                <input type="file" name="payout_request_invoice" accept="application/pdf" style="display: none;" />
                                <div><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-6 h-6"><path stroke-linecap="round" stroke-linejoin="round" d="M12 16.5V9.75m0 0 3 3m-3-3-3 3M6.75 19.5a4.5 4.5 0 0 1-1.41-8.775 5.25 5.25 0 0 1 10.233-2.33 3 3 0 0 1 3.758 3.848A3.752 3.752 0 0 1 18 19.5H6.75Z"></path></svg><span><?php echo esc_html( __( 'Upload invoice...', 'slicewp' ) ); ?></span></div>
                            </label>
                        </div>
                        
                    <?php endif; ?>

                    <input type="hidden" name="slicewp_token" value="<?php echo esc_attr( wp_create_nonce( 'slicewp_create_payout_request' ) ); ?>" />
                    <input type="hidden" name="payout_request_affiliate_id" value="<?php echo absint( slicewp_get_current_affiliate_id() ); ?>" />

                    <button class="slicewp-button-primary slicewp-button-request-payout"><?php echo __( 'Request Payout', 'slicewp' ); ?></button>

                </form>

                <!-- Success message. -->
                <div class="slicewp-payout-request-success" style="display: none;">

                    <div>

                        <div>
                            <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2" style="width: 20px; height: 20px;"><path stroke-linecap="round" stroke-linejoin="round" d="M5 13l4 4L19 7"></path></svg>
                        </div>
                    
                        <div>
                            <label><?php echo esc_html( __( 'Request made!', 'slicewp' ) ); ?></label>
                            <span><?php echo esc_html( __( 'Your payout request was received and will be processed soon.', 'slicewp' ) ); ?></span>
                        </div>

                    </div>

                    <button class="slicewp-button-primary"><?php echo esc_html( __( 'Done', 'slicewp' ) ); ?></button>

                </div>

            </div>

        </div>
        
    </div>
</div>