<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

// Check for payment.
if ( empty( $_GET['payment_id'] ) ) {
    return;
}

$payment = slicewp_get_payment( absint( $_GET['payment_id'] ) );

if ( is_null( $payment ) ) {
    return;
}

if ( 'paypal_payouts' != $payment->get( 'payout_method' ) ) {
    return;
}

// Bail if the payment has a PayPal payout batch ID saved.
$payout_batch_id = slicewp_get_payment_meta( $payment->get( 'id' ), 'paypal_payout_batch_id', true );
$transaction_id  = slicewp_get_payment_meta( $payment->get( 'id' ), 'paypal_transaction_id', true );
$is_test         = (bool)slicewp_get_payment_meta( $payment->get( 'id' ), 'paypal_is_test', true );

if ( empty( $payout_batch_id ) ) {
    return;
}

// Init PayPal Payouts API class
$paypal_api = new SliceWP_PayPal_Payouts_API();

?>

<div class="slicewp-card">

    <div class="slicewp-card-header">
        <span class="slicewp-card-title"><?php echo __( 'PayPal Payout Details', 'slicewp' ); ?></span>
    </div>

    <div class="slicewp-card-inner">

        <!-- PayPal Payout Batch ID -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

            <div class="slicewp-field-label-wrapper">
                <label for="slicewp-affiliate-name"><?php echo __( 'PayPal Payout Batch ID', 'slicewp' ); ?></label>
            </div>

            <div class="slicewp-field-link-disabled">
                <a target="_blank" href="<?php echo esc_url( $paypal_api->get_paypal_masspay_site_url( $payout_batch_id, $is_test ) ); ?>"><?php echo esc_html( $payout_batch_id ); ?></a>
            </div>

        </div>

        <!-- PayPal Payout Batch ID -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

            <div class="slicewp-field-label-wrapper">
                <label for="slicewp-affiliate-name"><?php echo __( 'PayPal Transaction ID', 'slicewp' ); ?></label>
            </div>

            <div class="slicewp-field-link-disabled">
                <a target="_blank" href="<?php echo esc_url( $paypal_api->get_paypal_transaction_site_url( $transaction_id, $is_test ) ); ?>"><?php echo esc_html( $transaction_id ); ?></a>
            </div>

        </div>

    </div>

</div>