<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-settings-paypal-credentials" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'PayPal Credentials', 'slicewp' ); ?></span>

		<div class="slicewp-card-actions">
			<a href="https://slicewp.com/docs/paying-affiliates-paypal-payouts/" target="_blank" class="slicewp-button-info" title="<?php echo esc_attr( __( 'Click to learn more...', 'slicewp' ) ); ?>"><svg height="18" width="18" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g><path d="M13 9h-2V7h2v2zm0 2h-2v6h2v-6zm-1-7c-4.41 0-8 3.59-8 8s3.59 8 8 8 8-3.59 8-8-3.59-8-8-8m0-2c5.523 0 10 4.477 10 10s-4.477 10-10 10S2 17.523 2 12 6.477 2 12 2z"></path></g></svg></a>
		</div>
	</div>

	<div class="slicewp-card-inner">

		<!-- Test Mode -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-paypal-api-test-mode"><?php echo __( 'Test Mode', 'slicewp' ); ?></label>
			</div>
			
			<div class="slicewp-switch">

				<input id="slicewp-paypal-api-test-mode" class="slicewp-toggle slicewp-toggle-round" name="settings[paypal_api_test_mode]" type="checkbox" value="1" <?php checked( ! empty( $_POST['settings']['paypal_api_test_mode'] ) ? esc_attr( $_POST['settings']['paypal_api_test_mode'] ) : ( empty( $_POST ) ? slicewp_get_setting( 'paypal_api_test_mode' ) : '' ), '1' ); ?> />
				<label for="slicewp-paypal-api-test-mode"></label>

			</div>

			<label for="slicewp-paypal-api-test-mode"><?php echo __( 'Enable to process payments with a PayPal Sandbox account.', 'slicewp' ); ?></label>

		</div><!-- / Test Mode -->

		<!-- Live Client ID -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-paypal-api-client-id-live">
					<?php echo __( 'Live Client ID', 'slicewp' ); ?>
				</label>
			</div>

			<input id="slicewp-paypal-api-client-id-live" name="settings[paypal_api_client_id_live]" type="text" value="<?php echo esc_attr( ! empty( $_POST['settings']['paypal_api_client_id_live'] ) ? $_POST['settings']['paypal_api_client_id_live'] : ( empty( $_POST ) ? slicewp_get_setting( 'paypal_api_client_id_live' ) : '' ) ); ?>">
			
		</div><!-- / Live Client ID -->

		<!-- Live Secret -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-paypal-api-secret-live">
					<?php echo __( 'Live Secret', 'slicewp' ); ?>
				</label>
			</div>

			<input id="slicewp-paypal-api-secret-live" name="settings[paypal_api_secret_live]" type="password" value="<?php echo esc_attr( ! empty( $_POST['settings']['paypal_api_secret_live'] ) ? $_POST['settings']['paypal_api_secret_live'] : ( empty( $_POST ) ? slicewp_get_setting( 'paypal_api_secret_live' ) : '' ) ); ?>">
			
		</div><!-- / Live Secret -->

		<!-- Test Client ID -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-paypal-api-client-id-test">
					<?php echo __( 'Test Client ID', 'slicewp' ); ?>
				</label>
			</div>

			<input id="slicewp-paypal-api-client-id-test" name="settings[paypal_api_client_id_test]" type="text" value="<?php echo esc_attr( ! empty( $_POST['settings']['paypal_api_client_id_test'] ) ? $_POST['settings']['paypal_api_client_id_test'] : ( empty( $_POST ) ? slicewp_get_setting( 'paypal_api_client_id_test' ) : '' ) ); ?>">
			
		</div><!-- / Test Client ID -->

		<!-- Test Secret -->
		<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

			<div class="slicewp-field-label-wrapper">
				<label for="slicewp-paypal-api-secret-test">
					<?php echo __( 'Test Secret', 'slicewp' ); ?>
				</label>
			</div>

			<input id="slicewp-paypal-api-secret-test" name="settings[paypal_api_secret_test]" type="password" value="<?php echo esc_attr( ! empty( $_POST['settings']['paypal_api_secret_test'] ) ? $_POST['settings']['paypal_api_secret_test'] : ( empty( $_POST ) ? slicewp_get_setting( 'paypal_api_secret_test' ) : '' ) ); ?>">
			
		</div><!-- / Test Secret -->

	</div>

</div>