jQuery( function($) {

    /**
	 * Initialize jQuery sortable.
	 *
	 */
	$( function() {

		$('.slicewp-wp-list-table.slicewp_performance_bonuses tbody').sortable({
			handle: '.slicewp-sort-handle',
			revert: 80,
			placeholder: 'slicewp-sort-placeholder',
			containment: '#wpwrap',
            start : function( e, ui ) {

                $( '.slicewp-wp-list-table.slicewp_performance_bonuses tbody' ).append( $(ui.helper) );

            },
			update : function() {

                // Add the loading spinner.
                $('.slicewp-wp-list-table.slicewp_performance_bonuses').wrap( '<div style="position: relative;">' );
                $('.slicewp-wp-list-table.slicewp_performance_bonuses').parent().append( '<div class="slicewp-overlay"><div class="spinner"></div></div>' );

                // Get the order of the bonuses.
                var order = [];

                $('.slicewp-wp-list-table.slicewp_performance_bonuses .slicewp-sort-handle').each( function() {
                    order.push( $(this).attr( 'data-bonus-id' ) );
                });

                // Make AJAX call to save the order.
                var data = {
                    action        : 'slicewp_action_ajax_order_performance_bonuses',
                    slicewp_token : $('#slicewp_token').val(),
                    bonuses_order : order
                }

                $.post( ajaxurl, data, function( response ) {

                    if ( response.success ) {
        
                        $('.slicewp-wp-list-table.slicewp_performance_bonuses').parent().find( '.slicewp-overlay' ).remove();
                        $('.slicewp-wp-list-table.slicewp_performance_bonuses').unwrap();
        
                    }
        
                });

			},
            helper: function( e, ui ) {

                ui.children().each(function() {
                    $(this).width($(this).width());
                });

                return ui;

            }
		});

	});


    /**
	 * Show the target based on the selected target type in the add/edit bonus pages.
	 *
	 */
    var target_focused = false;

	$(document).on( 'change', 'select#slicewp-bonus-target-type', function() {

        $(this).closest( '.slicewp-field-wrapper' ).next( '.slicewp-field-wrapper' ).find( '[data-target-type]' ).hide().find( 'input, select' ).attr( 'name', '' ).attr( 'id', '' ).attr( 'required', false );
        $(this).closest( '.slicewp-field-wrapper' ).next( '.slicewp-field-wrapper' ).find( '[data-target-type="' + $(this).val() + '"]' ).show().find( 'input, select' ).attr( 'name', 'target' ).attr( 'id', 'slicewp-bonus-target' ).attr( 'required', true );

        var $this = $(this);

        if ( target_focused ) {

            setTimeout( function() {
                $this.closest( '.slicewp-field-wrapper' ).next( '.slicewp-field-wrapper' ).find( '[data-target-type="' + $this.val() + '"]' ).find( 'input, select' ).focus();
            }, 10 );

        }

        target_focused = true;

	});

    $( 'select#slicewp-bonus-target-type' ).trigger('change');

    
    /**
	 * Show the reward based on the selected reward type in the add/edit bonus pages.
	 *
	 */
    var reward_focused = false;

    $(document).on( 'change', 'select#slicewp-bonus-reward-type', function() {

        $(this).closest( '.slicewp-field-wrapper' ).next( '.slicewp-field-wrapper' ).find( '[data-reward-type]' ).hide().find( 'input, select' ).attr( 'id', '' );
        $(this).closest( '.slicewp-field-wrapper' ).next( '.slicewp-field-wrapper' ).find( '[data-reward-type="' + $(this).val() + '"]' ).show().find( 'input, select' ).attr( 'id', 'slicewp-bonus-reward' );

        var $this = $(this);

        if ( reward_focused ) {

            setTimeout( function() {
                $this.closest( '.slicewp-field-wrapper' ).next( '.slicewp-field-wrapper' ).find( '[data-reward-type="' + $this.val() + '"]' ).find( 'input, select' ).focus();
            }, 10 );

        }
 
        reward_focused = true;
 
    });
 
    $( 'select#slicewp-bonus-reward-type' ).trigger('change');


    /**
     * Shows/hides the affiliate and affiliate groups filter
     * 
     */
    $(document).on( 'change', 'select#slicewp-bonus-availability-type', function() {

        if ( $(this).val() == '' ) {
            $('.slicewp-bonus-availability-filters').hide();
        } else {
            $('.slicewp-bonus-availability-filters').show();
        }

    });

    $( 'select#slicewp-bonus-availability-type' ).trigger('change');

});