<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;


Class SliceWP_Submenu_Page_Performance_Bonuses extends SliceWP_Submenu_Page {

	/**
	 * Helper init method that runs on parent __construct.
	 *
	 */
	protected function init() {

		add_action( 'admin_init', array( $this, 'register_admin_notices' ), 10 );

        if ( empty( $this->current_page ) ) {
			$this->title_actions[] = '<a href="' . esc_url( add_query_arg( array( 'subpage' => 'add-performance-bonus' ), $this->admin_url ) ) . '" class="page-title-action">' . __( 'Add New Bonus', 'slicewp' ) . '</a>';
			$this->title_actions[] = '<a href="' . esc_url( add_query_arg( array( 'page' => 'slicewp-bonus-rewards' ), $this->admin_url ) ) . '" class="page-title-action">' . __( 'View Rewards', 'slicewp' ) . '</a>';
		}

	}


	/**
	 * Callback method to register admin notices that are sent via URL parameters.
	 *
	 */
	public function register_admin_notices() {

		if ( empty( $_GET['slicewp_message'] ) ) {
            return;
        }

        // Bonus insert success.
		slicewp_admin_notices()->register_notice( 'bonus_insert_success', '<p>' . __( 'Bonus added successfully.', 'slicewp' ) . '</p>' );

		// Bonus updated successfully.
		slicewp_admin_notices()->register_notice( 'bonus_update_success', '<p>' . __( 'Bonus updated successfully.', 'slicewp' ) . '</p>' );

		// Bonus updated fail.
		slicewp_admin_notices()->register_notice( 'bonus_update_fail', '<p>' . __( 'Something went wrong. Could not update the bonus.', 'slicewp' ) . '</p>', 'error' );

		// Bonus delete success.
		slicewp_admin_notices()->register_notice( 'bonus_delete_success', '<p>' . __( 'Bonus deleted successfully.', 'slicewp' ) . '</p>' );

        // Bonus activate success.
        slicewp_admin_notices()->register_notice( 'bonus_activated_success', '<p>' . __( 'Bonus activated successfully.', 'slicewp' ) . '</p>' );

        // Bonus deactivate success.
        slicewp_admin_notices()->register_notice( 'bonus_deactivated_success', '<p>' . __( 'Bonus deactivated successfully.', 'slicewp' ) . '</p>' );

	}


	/**
	 * Callback for the HTML output for the page.
	 *
	 */
	public function output() {

		if ( empty( $this->current_subpage ) ) {

            include 'views/view-bonuses.php';

        } else {

			if ( $this->current_subpage == 'add-performance-bonus' ) {
                include 'views/view-add-bonus.php';
            }

            if ( $this->current_subpage == 'edit-performance-bonus' ) {
                include 'views/view-edit-bonus.php';
            }
	
		}
	
	}

}