<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

?>

<div id="slicewp-card-affiliate-bonuses-progress" class="slicewp-card">

	<div class="slicewp-card-header">
		<span class="slicewp-card-title"><?php echo __( 'Bonuses Progress', 'slicewp' ); ?></span>
	</div>

    <?php if ( empty( $bonuses ) ): ?>

        <div class="slicewp-card-inner">

            <?php echo __( 'No bonuses are available for this affiliate', 'slicewp' ); ?>
            
        </div>
    
    <?php else: ?>

        <div class="slicewp-card-inner">

            <table class="slicewp-card-table-full-width">

                <thead>
                    <th class="slicewp-column-target"><?php echo __( 'Target', 'slicewp' ) ?></th>
                    <th class="slicewp-column-reward"><?php echo __( 'Reward', 'slicewp' ) ?></th>
                </thead>

                <tbody>

                    <?php foreach ( $bonuses as $bonus_id => $bonus ): ?>

                        <?php $progress = slicewp_get_affiliate_bonus_progress( $affiliate_id, $bonus_id ); ?>

                        <tr class="<?php echo ( $progress[$bonus['target_type']]['percentage'] == 100 ? 'slicewp-complete' : '' ); ?>">

                            <td class="slicewp-column-target">
                                <div>
                                    <?php echo ( $progress[$bonus['target_type']]['percentage'] == 100 ? $progress[$bonus['target_type']]['target'] : $progress[$bonus['target_type']]['current'] ) . ' / ' . $progress[$bonus['target_type']]['target']; ?>

                                    <?php if ( $progress[$bonus['target_type']]['percentage'] == 100 ): ?>

                                        - <strong><?php echo __( 'Completed!', 'slicewp' ); ?></strong>

                                    <?php endif; ?>
                                </div>
                                <span>
                                    <?php
                                        if ( $bonus['target_type'] == 'referred_orders_count' ) {
                                            echo __( 'Referred orders', 'slicewp' );
                                        }
                                
                                        if ( $bonus['target_type'] == 'referred_orders_totals' ) {
                                            echo __( 'Referred orders total', 'slicewp' );
                                        }

                                        if ( $bonus['target_type'] == 'earned_commissions_totals' ) {
                                            echo __( 'Earned commissions total', 'slicewp' );
                                        }
                                    ?>
                                </span>
                            </td>

                            <td class="slicewp-column-reward">
                                <?php
                                    if ( $bonus['reward_type'] == 'commission' ) {
                                        echo '<div>' . slicewp_format_amount( $bonus['reward_commission_amount'], slicewp_get_setting( 'active_currency', 'USD' ) ) . '</div>';
                                        echo '<span>' . __( 'Fixed commission', 'slicewp' ) . '</span>';
                                    }
                            
                                    if ( $bonus['reward_type'] == 'store_credit' ) {
                                        echo '<div>' . slicewp_format_amount( $bonus['reward_store_credit_amount'], slicewp_get_setting( 'active_currency', 'USD' ) ) . '</div>';
                                        echo '<span>' . __( 'Store credit', 'slicewp' ) . '</span>';
                                    }
                                ?>
                            </td>

                        </tr>

                        <tr class="<?php echo ( $progress[$bonus['target_type']]['percentage'] == 100 ? 'slicewp-complete' : '' ); ?>">

                            <td colspan="2">

                                <div class="slicewp-progressbar">
                                    <div class="slicewp-progressbar-fill" style="width: <?php echo $progress[$bonus['target_type']]['percentage']; ?>%;"></div>
                                </div>

                                <div class="slicewp-bonus-extras">

                                    <a href="<?php echo esc_url( add_query_arg( array( 'page' => 'slicewp-performance-bonuses', 'subpage' => 'edit-performance-bonus', 'bonus_id' => absint( $bonus_id ) ), 'admin.php' ) ); ?>"><?php echo __( 'View bonus', 'slicewp' ); ?> &#8594;</a>

                                    <?php if ( ! empty( $progress[$bonus['target_type']]['date_end'] ) && $progress[$bonus['target_type']]['percentage'] != 100 ): ?>

                                        <?php // @todo - Dynamic timer: https://www.w3schools.com/howto/howto_js_countdown.asp ?>
                                        <div class="slicewp-bonus-progress-timer">
                                            <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" viewBox="0 0 20 20" fill="currentColor"><path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm1-12a1 1 0 10-2 0v4a1 1 0 00.293.707l2.828 2.829a1 1 0 101.415-1.415L11 9.586V6z" clip-rule="evenodd" /></svg>
                                            <div>
                                                <?php

                                                    $now    = new DateTime( 'now', new DateTimeZone( 'UTC' ) );
                                                    $future = new DateTime( $progress[$bonus['target_type']]['date_end'] );

                                                    $interval = $future->diff( $now );

                                                    echo $interval->format( sprintf( __( "%sd %sh %sm", 'slicewp' ), '<span class="slicewp-date-format-day">%a</span>', '<span class="slicewp-date-format-hour">%h</span>', '<span class="slicewp-date-format-minute">%i</span>' ) );

                                                ?>
                                            </div>
                                        </div>

                                    <?php endif; ?>

                                </div>

                            </td>

                        </tr>

                    <?php endforeach; ?>

                </tbody>

            </table>

        </div>

        <?php /* 
        <?php foreach ( $bonuses as $bonus_id => $bonus ): ?>

            <?php $progress = slicewp_get_affiliate_bonus_progress( $affiliate_id, $bonus_id ); ?>

            <div class="slicewp-card-inner <?php echo ( $progress[$bonus['target_type']]['percentage'] == 100 ? 'slicewp-complete' : '' ); ?>">

                <?php // d( $progress ); ?>

                <div class="slicewp-grid slicewp-grid-columns-2">

                    <div>
                        <span><?php echo __( 'Target', 'slicewp' ); ?></span>
                        <div>5 - referred orders</div>
                    </div>

                    <div style="text-align: right;">
                        <span><?php echo __( 'Reward', 'slicewp' ); ?></span>
                        <div>$25.00 - store credit</div>
                    </div>

                </div>

                <div class="slicewp-progressbar"><div class="slicewp-progressbar-fill" style="width: <?php echo $progress[$bonus['target_type']]['percentage']; ?>%;"></div></div>

                    <div class="slicewp-bonus-progress-wrapper">
                        <div class="slicewp-bonus-progress"><?php echo ( $progress[$bonus['target_type']]['percentage'] == 100 ? $progress[$bonus['target_type']]['target'] : $progress[$bonus['target_type']]['current'] ) . ' / ' . $progress[$bonus['target_type']]['target']; ?></div>

                        <?php if ( ! empty( $progress[$bonus['target_type']]['date_end'] ) && $progress[$bonus['target_type']]['percentage'] != 100 ): ?>

                            <?php // @todo - Dynamic timer: https://www.w3schools.com/howto/howto_js_countdown.asp ?>
                            <div class="slicewp-bonus-progress-timer">
                                <svg xmlns="http://www.w3.org/2000/svg" class="h-5 w-5" viewBox="0 0 20 20" fill="currentColor"><path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm1-12a1 1 0 10-2 0v4a1 1 0 00.293.707l2.828 2.829a1 1 0 101.415-1.415L11 9.586V6z" clip-rule="evenodd" /></svg>
                                <div>
                                    <?php

                                        $now    = new DateTime( 'now', new DateTimeZone( 'UTC' ) );
                                        $future = new DateTime( $progress[$bonus['target_type']]['date_end'] );

                                        $interval = $future->diff( $now );

                                        echo $interval->format( sprintf( __( "%sd %sh %sm", 'slicewp' ), '<span class="slicewp-date-format-day">%a</span>', '<span class="slicewp-date-format-hour">%h</span>', '<span class="slicewp-date-format-minute">%i</span>' ) );

                                    ?>
                                </div>
                            </div>

                        <?php endif; ?>

                        <?php if ( $progress[$bonus['target_type']]['percentage'] == 100 ): ?>

                            <strong><?php echo __( 'Completed!', 'slicewp' ); ?></strong>

                        <?php endif; ?>

                    </div>
                    

            </div>

        <?php endforeach; ?>
        */ ?>

    <?php endif; ?>

</div>