<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

$bonus_id = ( ! empty( $_GET['bonus_id'] ) ? absint( $_GET['bonus_id'] ) : 0 );

if ( empty( $bonus_id ) ) {
    return;
}

$bonuses = (array)get_option( 'slicewp_performance_bonuses', array() );

if ( empty( $bonuses[$bonus_id] ) ) {
    return;
}

$bonus            = $bonuses[$bonus_id];
$affiliate_groups = slicewp_get_collections( array( 'number' => -1, 'object_context' => 'affiliate', 'type' => 'group' ) );

?>

<div class="wrap slicewp-wrap slicewp-wrap-add-performance-bonus">

	<form action="" method="POST">

		<!-- Page Heading -->
		<h1 class="wp-heading-inline"><?php echo __( 'Edit Performance Bonus', 'slicewp' ); ?></h1>
		<hr class="wp-header-end" />

		<div id="slicewp-content-wrapper">

			<!-- Primary Content -->
			<div id="slicewp-primary">

				<div class="slicewp-card slicewp-first">

					<div class="slicewp-card-header">
						<span class="slicewp-card-title"><?php echo __( 'Bonus Details', 'slicewp' ); ?></span>
					</div>

					<!-- Form Fields -->
					<div class="slicewp-card-inner">

						<!-- Name -->
						<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">
							
							<div class="slicewp-field-label-wrapper">
								<label for="slicewp-bonus-name"><?php echo __( 'Name', 'slicewp' ); ?> *</label>
                                <?php echo slicewp_output_tooltip( __( 'Add a name for your new bonus so that you can more easily differentiate it from the other bonuses.', 'slicewp' ) ); ?>
							</div>

							<input id="slicewp-bonus-name" name="name" required type="text" value="<?php echo esc_attr( ! empty( $_POST['name'] ) ? $_POST['name'] : $bonus['name'] ); ?>" />

						</div>

                        <!-- Target Type -->
                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

                            <div class="slicewp-field-label-wrapper">
								<label for="slicewp-bonus-target-type"><?php echo __( 'Target', 'slicewp' ); ?> *</label>
                                <?php echo slicewp_output_tooltip( __( 'Set the target that your affiliates must reach to be rewarded this bonus.', 'slicewp' ) ); ?>
							</div>

                            <select id="slicewp-bonus-target-type" name="target_type" class="slicewp-select2">

                                <option value="referred_orders_count" <?php selected( ( ! empty( $_POST['target_type'] ) ? $_POST['target_type'] : $bonus['target_type'] ) , 'referred_orders_count' ); ?>><?php echo __( 'Number of referred orders', 'slicewp' ); ?></option>
                                <option value="referred_orders_totals" <?php selected( ( ! empty( $_POST['target_type'] ) ? $_POST['target_type'] : $bonus['target_type'] ) , 'referred_orders_totals' ); ?>><?php echo __( 'Referred orders total', 'slicewp' ); ?></option>
                                <option value="earned_commissions_totals" <?php selected( ( ! empty( $_POST['target_type'] ) ? $_POST['target_type'] : $bonus['target_type'] ) , 'earned_commissions_totals' ); ?>><?php echo __( 'Earned commissions total', 'slicewp' ); ?></option>

							</select>

                        </div>

                        <!-- Target -->
						<div class="slicewp-field-wrapper slicewp-field-wrapper-inline">
							
							<div class="slicewp-field-label-wrapper" style="display: none;">
								<label for="slicewp-bonus-target"><?php echo __( 'Target', 'slicewp' ); ?> *</label>
							</div>

                            <div data-target-type="referred_orders_count" style="display: none;">
							    <input id="" name="" type="number" min="0" step="1" value="<?php echo esc_attr( ! empty( $_POST['target'] ) ? $_POST['target'] : $bonus['target'] ); ?>" placeholder="<?php echo __( 'Target amount...', 'slicewp' ); ?>" />
                            </div>

                            <div data-target-type="referred_orders_totals" class="slicewp-field-currency-amount slicewp-flex" style="display: none;">
                                <div class="slicewp-field-currency-symbol"><?php echo slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?></div>
                                <input id="" name="" type="number" min="0" step="0.01" value="<?php echo esc_attr( ! empty( $_POST['target'] ) ? $_POST['target'] : $bonus['target'] ); ?>" placeholder="<?php echo __( 'Target amount...', 'slicewp' ); ?>" />
                            </div>

                            <div data-target-type="earned_commissions_totals" class="slicewp-field-currency-amount slicewp-flex" style="display: none;">
                                <div class="slicewp-field-currency-symbol"><?php echo slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?></div>
                                <input id="" name="" type="number" min="0" step="0.01" value="<?php echo esc_attr( ! empty( $_POST['target'] ) ? $_POST['target'] : $bonus['target'] ); ?>" placeholder="<?php echo __( 'Target amount...', 'slicewp' ); ?>" />
                            </div>

						</div>

                        <!-- Reward Type -->
                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline">
							
							<div class="slicewp-field-label-wrapper">
								<label for="slicewp-bonus-reward-type"><?php echo __( 'Reward', 'slicewp' ); ?> *</label>
                                <?php echo slicewp_output_tooltip( __( 'Select the reward you wish to offer your affiliates that reach the target.', 'slicewp' ) ); ?>
							</div>

                            <select id="slicewp-bonus-reward-type" name="reward_type" class="slicewp-select2">
                                <option value="commission" <?php selected( ( ! empty( $_POST['reward_type'] ) ? $_POST['reward_type'] : $bonus['reward_type'] ) , 'commission' ); ?>><?php echo __( 'Fixed amount commission', 'slicewp' ); ?></option>
                                <option value="store_credit" <?php selected( ( ! empty( $_POST['reward_type'] ) ? $_POST['reward_type'] : $bonus['reward_type'] ) , 'store_credit' ); ?> <?php echo ( ! slicewp_is_add_on_active( 'store_credit' ) ? 'disabled' : '' ); ?>><?php echo __( 'Store credit', 'slicewp' ); ?> <?php echo ( ! slicewp_is_add_on_active( 'store_credit' ) ? __( '(inactive)', 'slicewp' ) : '' ); ?></option>
                            </select>

						</div>

                        <!-- Reward -->
                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

                            <div class="slicewp-field-label-wrapper" style="display: none;">
								<label for="slicewp-bonus-reward"><?php echo __( 'Reward', 'slicewp' ); ?> *</label>
							</div>

                            <div data-reward-type="commission" class="slicewp-field-currency-amount slicewp-flex" style="display: none;">
                                <div class="slicewp-field-currency-symbol"><?php echo slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?></div>
							    <input id="" name="reward_commission_amount" type="number" min="0" step="0.01" value="<?php echo esc_attr( ! empty( $_POST['reward_commission_amount'] ) ? $_POST['reward_commission_amount'] : $bonus['reward_commission_amount'] ); ?>" placeholder="<?php echo __( 'Commission amount...', 'slicewp' ); ?>" />
                            </div>

                            <div data-reward-type="store_credit" class="slicewp-field-currency-amount slicewp-flex" style="display: none;">
                                <div class="slicewp-field-currency-symbol"><?php echo slicewp_get_currency_symbol( slicewp_get_setting( 'active_currency', 'USD' ) ); ?></div>
							    <input id="" name="reward_store_credit_amount" type="number" min="0" step="0.01" value="<?php echo esc_attr( ! empty( $_POST['reward_store_credit_amount'] ) ? $_POST['reward_store_credit_amount'] : $bonus['reward_store_credit_amount'] ); ?>" placeholder="<?php echo __( 'Store credit amount...', 'slicewp' ); ?>" />
                            </div>

                        </div>

                        <!-- Recurrence -->
                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-tooltip-wide">

                            <div class="slicewp-field-label-wrapper">
								<label for="slicewp-bonus-recurrence"><?php echo __( 'Recurrence', 'slicewp' ); ?> *</label>
                                <?php echo slicewp_output_tooltip( '<p>' . __( 'Choose the frequency at which this bonus will be made available to your affiliates.', 'slicewp' ) ) . '</p><ul><li>' . sprintf( __( "%sOne-time%s: Your affiliates can get the reward only one time. The progress of an affiliate will be determined only by the referral data generated after the bonus was created.", 'slicewp' ), '<strong>', '</strong>' ) . '</li><li>' . sprintf( __( "%sMonthly, Quarterly, Yearly%s: Affiliates can get the reward each cycle. The progress of the affiliate will be determined by the referral data generated in the given cycle.", 'slicewp' ), '<strong>', '</strong>' ) . '</li></ul>'; ?>
							</div>

                            <select id="slicewp-bonus-recurrence" name="recurrence" required class="slicewp-select2">
                                <option value="one_time" <?php selected( ( ! empty( $_POST['recurrence'] ) ? $_POST['recurrence'] : $bonus['recurrence'] ) , 'one_time' ); ?>><?php echo __( 'One-time', 'slicewp' ); ?></option>
                                <option value="monthly" <?php selected( ( ! empty( $_POST['recurrence'] ) ? $_POST['recurrence'] : $bonus['recurrence'] ) , 'monthly' ); ?>><?php echo __( 'Monthly', 'slicewp' ); ?></option>
                                <option value="quarterly" <?php selected( ( ! empty( $_POST['recurrence'] ) ? $_POST['recurrence'] : $bonus['recurrence'] ) , 'quarterly' ); ?>><?php echo __( 'Quarterly', 'slicewp' ); ?></option>
                                <option value="yearly" <?php selected( ( ! empty( $_POST['recurrence'] ) ? $_POST['recurrence'] : $bonus['recurrence'] ) , 'yearly' ); ?>><?php echo __( 'Yearly', 'slicewp' ); ?></option>
                            </select>

                        </div>
                        <!-- / Recurrence -->

                        <!-- Status -->
						<div class="slicewp-field-wrapper slicewp-field-wrapper-inline slicewp-last">

                            <div class="slicewp-field-label-wrapper">
                                <label for="slicewp-bonus-status"><?php echo __( 'Status', 'slicewp' ); ?> *</label>
                            </div>

                            <select id="slicewp-bonus-status" name="status" required class="slicewp-select2">
                                <option value="active" <?php selected( ( ! empty( $_POST['status'] ) ? $_POST['status'] : $bonus['status'] ) , 'active' ); ?>><?php echo __( 'Active', 'slicewp' ); ?></option>
                                <option value="inactive" <?php selected( ( ! empty( $_POST['status'] ) ? $_POST['status'] : $bonus['status'] ) , 'inactive' ); ?>><?php echo __( 'Inactive', 'slicewp' ); ?></option>
                            </select>

                        </div>

					</div>

				</div>

                <div class="slicewp-card">

                    <div class="slicewp-card-header">
						<span class="slicewp-card-title"><?php echo __( 'Availability', 'slicewp' ); ?></span>
					</div>

                    <div class="slicewp-card-inner">
                        
                        <!-- Available to -->
                        <div class="slicewp-field-wrapper slicewp-field-wrapper-inline">

                            <div class="slicewp-field-label-wrapper">
								<label for="slicewp-bonus-availability-type"><?php echo __( 'Available for', 'slicewp' ); ?></label>
                                <?php echo slicewp_output_tooltip( __( 'Choose whether this bonus should be available for all affiliates or for just a selection of affiliates.', 'slicewp' ) ); ?>
							</div>

                            <select id="slicewp-bonus-availability-type" name="availability_type" class="slicewp-select2">

                                <option value=""><?php echo __( 'All affiliates', 'slicewp' ); ?></option>
                                <option value="exclude" <?php selected( ( ! empty( $_POST['availability_type'] ) ? $_POST['availability_type'] : $bonus['availability_type'] ) , 'exclude' ); ?>><?php echo __( 'All affiliates, excluding...', 'slicewp' ); ?></option>
                                <option value="include" <?php selected( ( ! empty( $_POST['availability_type'] ) ? $_POST['availability_type'] : $bonus['availability_type'] ) , 'include' ); ?>><?php echo __( 'Only selected...', 'slicewp' ); ?></option>

							</select>

                            <div class="slicewp-bonus-availability-filters" style="display: none;">

                                <label><?php echo __( 'Affiliates', 'slicewp' ); ?></label>
                                <?php slicewp_output_select2_user_search( array( 'id' => 'slicewp-bonus-availability-affiliate-id', 'is_multiple' => true, 'name' => 'availability_affiliate_id', 'placeholder' => __( 'Select affiliates...', 'slicewp' ), 'user_type' => 'affiliate', 'value' => ( ! empty( $_POST['availability_affiliate_id'] ) ? array_map( 'absint', $_POST['availability_affiliate_id'] ) : ( ! empty( $bonus['availability_affiliate_id'] ) && is_array( $bonus['availability_affiliate_id'] ) ? $bonus['availability_affiliate_id'] : '' ) ) ) ); ?>

                                <?php if ( ! empty( $affiliate_groups ) ): ?>

                                    <?php $selected_values = ( ! empty( $_POST['availability_affiliate_group_id'] ) && is_array( $_POST['availability_affiliate_group_id'] ) ? array_map( 'absint', $_POST['availability_affiliate_group_id'] ) : ( ! empty( $bonus['availability_affiliate_group_id'] ) && is_array( $bonus['availability_affiliate_group_id'] ) ? array_map( 'absint', $bonus['availability_affiliate_group_id'] ) : array() ) ); ?>

                                    <label style="display: inline-block; margin-top: 10px;"><?php echo __( 'Affiliate Groups', 'slicewp' ); ?></label>
                                    
                                    <select id="slicewp-bonus-availability-affiliate-group-id" name="availability_affiliate_group_id[]" class="slicewp-select2" multiple placeholder="<?php echo __( 'Select affiliate groups...' ); ?>">

                                        <?php foreach ( $affiliate_groups as $group ): ?>
                                            <option value="<?php echo absint( $group->get( 'id' ) ); ?>" <?php echo ( in_array( $group->get( 'id' ), $selected_values ) ? 'selected="selected"' : '' ); ?>><?php echo esc_html( $group->get( 'name' ) ); ?></option>
                                        <?php endforeach; ?>

                                    </select>

                                <?php endif; ?>

                            </div>

                        </div>

                    </div>

                </div>

				<?php 

					/**
					 * Hook to add extra cards if needed.
					 *
					 */
					do_action( 'slicewp_view_performance_bonuses_edit_performance_bonus_bottom' );

				?>

			</div><!-- / Primary Content -->

			<!-- Sidebar Content -->
			<div id="slicewp-secondary">

				<?php 

					/**
					 * Hook to add extra cards if needed in the sidebar.
					 *
					 */
					do_action( 'slicewp_view_performance_bonuses_edit_performance_bonus_secondary' );

				?>

			</div><!-- / Sidebar Content -->

		</div>

        <!-- Hidden commission id field -->
		<input type="hidden" name="bonus_id" value="<?php echo $bonus_id; ?>" />

		<!-- Action and nonce -->
		<input type="hidden" name="slicewp_action" value="update_performance_bonus" />
		<?php wp_nonce_field( 'slicewp_update_performance_bonus', 'slicewp_token', false ); ?>

		<!-- Submit -->
        <div id="slicewp-content-actions">
			
			<input type="submit" class="slicewp-form-submit slicewp-button-primary" value="<?php echo __( 'Save Bonus', 'slicewp' ); ?>" />

			<span class="slicewp-trash"><a onclick="return confirm( '<?php echo __( "Are you sure you want to delete this bonus?", "slicewp" ); ?>' )" href="<?php echo wp_nonce_url( add_query_arg( array( 'page' => 'slicewp-performance-bonuses', 'slicewp_action' => 'delete_performance_bonus', 'bonus_id' => absint( $bonus_id ) ), admin_url( 'admin.php' ) ), 'slicewp_delete_performance_bonus', 'slicewp_token' ); ?>"><?php echo __( 'Delete bonus', 'slicewp' ) ?></a></span>

		</div>
		
	</form>

</div>