<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Register the "Bonus Rewards" admin submenu page.
 *
 */
function slicewp_register_submenu_page_bonus_rewards( $submenu_pages ) {

    if ( empty( $_GET['page'] ) ) {
        return $submenu_pages;
    }

    if ( ! in_array( $_GET['page'], array( 'slicewp-performance-bonuses', 'slicewp-bonus-rewards' ) ) ) {
        return $submenu_pages;
    }

	if ( ! is_array( $submenu_pages ) ) {
		return $submenu_pages;
	}

	$submenu_pages['bonus_rewards'] = array(
		'class_name' => 'SliceWP_Submenu_Page_Bonus_Rewards',
		'data' 		 => array(
			'page_title' => __( 'Rewards', 'slicewp' ),
			'menu_title' => '<svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 20 20"><path fill="currentColor" d="M10.72 16.78a.75.75 0 0 0 1.06 0l4-4a.75.75 0 0 0 0-1.06l-4-4a.75.75 0 1 0-1.06 1.06l2.72 2.72H7A1.5 1.5 0 0 1 5.5 10V3.75a.75.75 0 0 0-1.5 0V10a3 3 0 0 0 3 3h6.44l-2.72 2.72a.75.75 0 0 0 0 1.06Z"></path></svg>' . __( 'Rewards', 'slicewp' ),
			'capability' => apply_filters( 'slicewp_submenu_page_capability_bonus_rewards', 'manage_options' ),
			'menu_slug'  => 'slicewp-bonus-rewards'
		)
	);

	return $submenu_pages;

}
add_filter( 'slicewp_register_submenu_page', 'slicewp_register_submenu_page_bonus_rewards', 45 );