jQuery( function($) {

    /**
     * Show/hide field notice that store credit works only with WooCommerce.
     * 
     */
    $(document).on( 'change', '.slicewp-field-wrapper select[name="settings[default_payout_method]"], .slicewp-field-wrapper select[name="payout_method"]', function(e) {

        var $field_wrapper = $(this).closest( '.slicewp-field-wrapper' );

        // Hide all field notices.
        $field_wrapper.find( '#slicewp-field-notice-store-credit-warning-woocommerce' ).hide();

        // Add "WooCommerce only" notice if it doesn't exist.
        if ( $(this).val() == 'store_credit' ) {

            // Check to see if only WooCommerce is active.
            var only_woo = ( window.slicewp.settings.active_integrations.length == 1 && window.slicewp.settings.active_integrations.indexOf( 'woo' ) !== -1 ? true : false );

            if ( ! only_woo && $field_wrapper.find( '#slicewp-field-notice-store-credit-warning-woocommerce' ).length == 0 ) {

                var notice = '';
                
                notice += '<div id="slicewp-field-notice-store-credit-warning-woocommerce" class="slicewp-field-notice slicewp-field-notice-warning" data-payout-method="store_credit">';
                    notice += slicewp_payout_methods_messages.store_credit.warning_woocommerce_only
                notice += '</div>';

                $field_wrapper.append( notice );

            }

            if ( only_woo || $field_wrapper.closest( '#slicewp-card-payout-progress' ).length > 0 ) {

                $('#slicewp-field-notice-store-credit-warning-woocommerce').remove();

            }
         
            // Show all notices for store credit.
            $field_wrapper.find( '.slicewp-field-notice[data-payout-method="store_credit"]' ).show();

        }

    });

});