<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Get the Payments report data
 *
 */
$report_total_selected_period = slicewp_get_payments( $args_selected, true );
$report_total_compare_period = slicewp_get_payments( $args_compare, true );


/**
 * Get the Total Payments Earnings report data
 *
 */
$args_total_payments_earnings_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'number'        => 0
);

$report_total_payments_earnings_selected = slicewp_get_payments( $args_total_payments_earnings_selected );

// Compute the Total Payments Earnings Amount for the selected dates
$report_total_payments_earnings_amount_selected = 0;

foreach ( $report_total_payments_earnings_selected as $payment ) {

    $payment = $payment->to_array();
    $report_total_payments_earnings_amount_selected += $payment['amount'];

}


$args_total_payments_earnings_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'number'        => 0
);

$report_total_payments_earnings_compare = slicewp_get_payments( $args_total_payments_earnings_compare );

// Compute the Total Payments Earnings Amount for the compare dates
$report_total_payments_earnings_amount_compare = 0;

foreach ( $report_total_payments_earnings_compare as $payment ) {

    $payment = $payment->to_array();
    $report_total_payments_earnings_amount_compare += $payment['amount'];

}


/**
 * Get the Total Payments Earning Paid report data
 *
 */
$args_total_payments_earnings_paid_selected = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'paid',
    'number'        => 0
);

$report_total_payments_earnings_paid_selected = slicewp_get_payments( $args_total_payments_earnings_paid_selected );


// Compute the Total Payments Earning Amount Paid for the selected dates
$report_total_payments_earnings_amount_paid_selected = 0;

foreach ( $report_total_payments_earnings_paid_selected as $payment ) {

    $payment = $payment->to_array();
    $report_total_payments_earnings_amount_paid_selected += $payment['amount'];

}


$args_total_payments_earnings_paid_compare = array(
    'affiliate_id'	=> $affiliate_id,
    'date_min'		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'status'        => 'paid',
    'number'        => 0
);

$report_total_payments_earnings_paid_compare = slicewp_get_payments( $args_total_payments_earnings_paid_compare );

// Compute the Total Payments Earning Amount Paid for the compare dates
$report_total_payments_earnings_amount_paid_compare = 0;

foreach ( $report_total_payments_earnings_paid_compare as $payment ) {

    $payment = $payment->to_array();
    $report_total_payments_earnings_amount_paid_compare += $payment['amount'];

}


/**
 * Get the Average Commissions per Payments report data.
 *
 */
// Compute the Average Commissions per Payments for the selected dates.
$report_total_commissions_in_payments_selected = 0;

foreach ( $report_total_payments_earnings_selected as $payment ) {

    $commissions_count = slicewp_get_commissions( array( 'payment_id' => $payment->get( 'id' ) ), true );
    $report_total_commissions_in_payments_selected += $commissions_count;

}

$report_average_commissions_per_payment_selected = ( count( $report_total_payments_earnings_selected ) > 0 ) ? round( $report_total_commissions_in_payments_selected / count( $report_total_payments_earnings_selected ) ) : 0;


// Compute the Average Commissions per Payments for the compare dates.
$report_total_commissions_in_payments_compare = 0;

foreach ( $report_total_payments_earnings_compare as $payment ) {

    $commissions_count = slicewp_get_commissions( array( 'payment_id' => $payment->get( 'id' ) ), true );
    $report_total_commissions_in_payments_compare += $commissions_count;

}

$report_average_commissions_per_payment_compare = ( count( $report_total_payments_earnings_compare ) > 0 ) ? round( $report_total_commissions_in_payments_compare / count( $report_total_payments_earnings_compare ) ) : 0;


/**
 * Get the Average Payments Value report data
 *
 */
// Compute the Average Payments Value for the selected dates
$report_average_payments_value_per_payment_selected = ( $report_total_payments_earnings_amount_selected > 0 ? round( $report_total_payments_earnings_amount_selected / count( $report_total_payments_earnings_selected ) ) : 0 );

// Compute the Average Payments Value for the compare dates
$report_average_payments_value_per_payment_compare = ( $report_total_payments_earnings_amount_compare > 0 ? round( $report_total_payments_earnings_amount_compare / count( $report_total_payments_earnings_compare ) ) : 0 );

?>

<!-- Tab: Payments Reports -->
<div class="slicewp-tab <?php echo ( $active_tab == 'payments' ? 'slicewp-active' : '' ); ?>" data-tab="payments">

    <div class="slicewp-grid slicewp-grid-columns-3">

        <!-- Total Payments -->
        <div class="slicewp-grid-item">
            
            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Payments', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">
                        
                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports' ), $report_total_selected_period ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period) == 0 ? '' : ( slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">
                
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports' ), slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Total Payments -->

        <!-- Total Payments Earnings -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Total Payments Earnings', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports' ), slicewp_format_amount( $report_total_payments_earnings_amount_selected , slicewp_get_setting( 'active_currency', 'USD' ) ) ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_total_payments_earnings_amount_selected, $report_total_payments_earnings_amount_compare ) == 0 ? '' : ( slicewp_compute_percentage( $report_total_payments_earnings_amount_selected, $report_total_payments_earnings_amount_compare ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">

                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports' ), slicewp_compute_percentage( $report_total_payments_earnings_amount_selected, $report_total_payments_earnings_amount_compare ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Total Payments Earnings -->

        <!-- Total Payments Earnings Paid -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Total Payments Earnings Paid', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">
                        
                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports' ), slicewp_format_amount( $report_total_payments_earnings_amount_paid_selected , slicewp_get_setting( 'active_currency', 'USD' ) ) ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_total_payments_earnings_amount_paid_selected, $report_total_payments_earnings_amount_paid_compare ) == 0 ? '' : ( slicewp_compute_percentage( $report_total_payments_earnings_amount_paid_selected, $report_total_payments_earnings_amount_paid_compare ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">

                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_total_payments_earnings_amount_paid_selected, $report_total_payments_earnings_amount_paid_compare ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>
        
        </div>
        <!-- / Total Payments Earnings Paid -->

        <!-- Average Commissions per Payment  -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Average Commissions per Payment', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports' ), $report_average_commissions_per_payment_selected ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_average_commissions_per_payment_selected, $report_average_commissions_per_payment_compare ) == 0 ? '' : ( slicewp_compute_percentage( $report_average_commissions_per_payment_selected, $report_average_commissions_per_payment_compare ) > 0 ? 'slicewp-negative' : 'slicewp-positive' ) ); ?>">

                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_average_commissions_per_payment_selected, $report_average_commissions_per_payment_compare ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Average Commissions per Payment  -->

        <!-- Average Payments Value -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Average Payments Value', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">
                    
                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports' ), slicewp_format_amount( $report_average_payments_value_per_payment_selected , slicewp_get_setting( 'active_currency', 'USD' ) ) ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_average_payments_value_per_payment_selected, $report_average_payments_value_per_payment_compare ) == 0 ? '' : ( slicewp_compute_percentage( $report_average_payments_value_per_payment_selected, $report_average_payments_value_per_payment_compare ) > 0 ? 'slicewp-increase' : 'slicewp-decrease' ) ); ?>">

                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports' ), slicewp_compute_percentage( $report_average_payments_value_per_payment_selected, $report_average_payments_value_per_payment_compare ) ); ?>

                            </div>

                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Average Payments Value -->

    </div>

    <!-- Charts -->
    <ul class="slicewp-chart-nav-tab-wrapper">
        <li class="slicewp-chart-nav-tab slicewp-active" data-tab="payments-overview"><a href="#"><?php echo __( 'Overview', 'slicewp' ); ?></a></li>
        <li class="slicewp-chart-nav-tab" data-tab="payments-status"><a href="#"><?php echo __( 'Compared by status', 'slicewp' ); ?></a></li>
    </ul>

    <?php

        // Get payments.
        $payments = slicewp_get_payments( array_merge( array( 'number' => -1, 'order' => 'ASC' ), $args_selected ) );

        // Set date_created based on site's timezone, not GMT as it's saved in the DB.
        foreach ( $payments as $key => $payment ) {

            $payments[$key]->set( 'date_created', get_date_from_gmt( $payment->get( 'date_created' ) ) );

        }

    ?>

    <div class="slicewp-chart-tab slicewp-active" data-tab="payments-overview">

        <?php

            $chart = new SliceWP_Chart_Payments_Overview( array(
                'raw_data' => $payments,
                'args'     => array( 'date_min' => $date_min->format( 'Y-m-d H:i:s' ), 'date_max' => $date_max->format( 'Y-m-d H:i:s' ) )
            ) );

            $chart->output();
        ?>
        
    </div>

    <div class="slicewp-chart-tab" data-tab="payments-status">

        <?php

            $chart = new SliceWP_Chart_Payments_Status( array(
                'raw_data' => $payments,
                'args'     => array( 'date_min' => $date_min->format( 'Y-m-d H:i:s' ), 'date_max' => $date_max->format( 'Y-m-d H:i:s' ) )
            ) );

            $chart->output();
        ?>
        
    </div>
    <!-- / Charts -->

</div><!-- / Tab: Commissions Reports -->