<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Get the Visits report data
 *
 */
$report_total_selected_period = slicewp_get_visits( $args_selected, true );
$report_total_compare_period  = slicewp_get_visits( $args_compare, true );


//Prepare args and select the Succesful Conversions
$args_successful_conversions_selected_period = array(
	'affiliate_id'	=> $affiliate_id,
	'date_min'		=> get_gmt_from_date( $date_min->format( 'Y-m-d H:i:s' ) ),
	'date_max'		=> get_gmt_from_date( $date_max->format( 'Y-m-d H:i:s' ) ),
    'converted'     => true
);

$args_successful_conversions_compare_period = array(
	'affiliate_id'	=> $affiliate_id,
	'date_min' 		=> get_gmt_from_date( $previous_date_min->format( 'Y-m-d H:i:s' ) ),
    'date_max'		=> get_gmt_from_date( $previous_date_max->format( 'Y-m-d H:i:s' ) ),
    'converted'     => true
);

$report_successful_conversions_selected_period = slicewp_get_visits( $args_successful_conversions_selected_period, true );
$report_successful_conversions_compare_period  = slicewp_get_visits( $args_successful_conversions_compare_period, true );

// Get all visits.
$visits = slicewp_get_visits( array_merge( array( 'number' => -1, 'order' => 'ASC' ), $args_selected ) );

?>

<!-- Tab: Visits Reports -->
<div class="slicewp-tab <?php echo ( $active_tab == 'visits' ? 'slicewp-active' : '' ); ?>" data-tab="visits">

    <div class="slicewp-grid slicewp-grid-columns-3">

        <!-- Visits For Selected Period -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Visits', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports' ), $report_total_selected_period ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period) == 0 ? '' : ( slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">
                            
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_total_selected_period, $report_total_compare_period ) ); ?>
                                
                            </div>

                        </div>

                    </div>
                    
                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>
                
            </div>

        </div>
        <!-- / Visits For Selected Period -->

        <!-- Successful Conversions -->        
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Successful Conversions', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value"><?php echo sprintf( __( '%s', 'slicewp-reports'), $report_successful_conversions_selected_period ); ?></span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( slicewp_compute_percentage( $report_successful_conversions_selected_period, $report_successful_conversions_compare_period) == 0 ? '' : ( slicewp_compute_percentage( $report_successful_conversions_selected_period, $report_successful_conversions_compare_period ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ); ?>">
                                
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_successful_conversions_selected_period, $report_successful_conversions_compare_period ) ); ?>

                            </div>

                        </div>

                    </div>
                    
                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Successful Conversions -->

        <!-- Conversion Rate -->
        <div class="slicewp-grid-item">

            <div class="slicewp-card slicewp-card-reports">

                <div class="slicewp-card-header">
                    <?php echo __( 'Conversion Rate', 'slicewp-reports' ); ?>
                </div>

                <div class="slicewp-card-inner">

                    <div class="slicewp-card-kpi">

                        <span class="slicewp-card-kpi-value">
                            <?php

                                if ( $report_total_selected_period != 0 )
                                    echo sprintf( __( '%s%%', 'slicewp-reports'), round( $report_successful_conversions_selected_period / $report_total_selected_period * 100, 2 ) );
                                else   
                                    echo '0%';

                            ?>
                        </span>

                        <div>

                            <?php echo slicewp_output_tooltip( sprintf( __( 'Compared to: %s %s - %s', 'slicewp-reports'), '<br>', $previous_date_min->format('Y-m-d'), $previous_date_max->format('Y-m-d') ) ); ?>

                            <div class="slicewp-card-kpi-direction <?php echo ( $report_total_selected_period != 0 && $report_total_compare_period != 0 ? ( slicewp_compute_percentage( $report_successful_conversions_selected_period / $report_total_selected_period * 100, $report_successful_conversions_compare_period / $report_total_compare_period * 100 ) == 0 ? '' : ( slicewp_compute_percentage( $report_successful_conversions_selected_period / $report_total_selected_period * 100, $report_successful_conversions_compare_period / $report_total_compare_period * 100 ) > 0 ? 'slicewp-positive' : 'slicewp-negative' ) ) : '' ); ?>">
                                
                                <span class="dashicons dashicons-arrow-up"></span>
                                <span class="dashicons dashicons-arrow-down"></span>

                                <?php

                                    if ( ( $report_total_selected_period != 0 ) && ( $report_total_compare_period !=0 ) )
                                        echo sprintf( __( '%s', 'slicewp-reports'), slicewp_compute_percentage( $report_successful_conversions_selected_period / $report_total_selected_period * 100, $report_successful_conversions_compare_period / $report_total_compare_period * 100 ) );
                                    else
                                        echo '-';
                                
                                ?>

                            </div>
                            
                        </div>

                    </div>

                    <span class="slicewp-card-kpi-timeframe"><?php echo ( $reports_period_filter == 'custom' ? sprintf( __( 'Last %s Days', 'slicewp-reports'), $date_difference ) : $reports_period_filter_options[$reports_period_filter] ); ?></span>

                </div>

            </div>

        </div>
        <!-- / Conversion Rate -->

    </div>

    <!-- Charts -->
    <?php

        // Set date_created based on site's timezone, not GMT as it's saved in the DB.
        foreach ( $visits as $key => $visit ) {

            $visits[$key]->set( 'date_created', get_date_from_gmt( $visit->get( 'date_created' ) ) );

        }

        // Init chart.
        $chart = new SliceWP_Chart_Visits( array(
            'raw_data' => $visits,
            'args'     => array( 'date_min' => $date_min->format( 'Y-m-d H:i:s' ), 'date_max' => $date_max->format( 'Y-m-d H:i:s' ) )
        ) );

        $chart->output();

    ?>
    <!-- / Charts -->

    <div class="slicewp-grid slicewp-grid-columns-2">

        <div class="slicewp-grid-item">

            <!-- Top Landing URLs -->
            <div class="slicewp-card" style="margin-top: 0;">

                <?php
                
                    $urls = array();

                    foreach ( $visits as $visit ) {

                        if ( empty( $visit->get( 'landing_url' ) ) ) {
                            continue;
                        }

                        $urls[$visit->get( 'landing_url' )] = ( array_key_exists( $visit->get( 'landing_url' ), $urls ) ? $urls[$visit->get( 'landing_url' )] + 1 : 1 );

                    }

                    arsort( $urls );

                    $total_count = array_sum( $urls );

                    $urls = array_slice( $urls, 0, 12 );

                ?>

                <div class="slicewp-card-header">
                    <span class="slicewp-card-title"><?php echo __( 'Top Landing URLs', 'slicewp-reports' ); ?></span>
                </div>

                <div class="slicewp-card-inner">

                    <table class="slicewp-card-table-full-width">

                        <thead>
                            <tr>
                                <th><?php echo __( 'URL', 'slicewp' ); ?></th>
                                <th class="slicewp-column-visits-count"><?php echo __( 'Visits', 'slicewp' ); ?></th>
                                <th></th>
                            </tr>
                        </thead>

                        <tbody>

                            <?php if ( ! empty( $urls ) ): ?>

                                <?php foreach ( $urls as $url => $count ): ?>

                                    <tr>
                                        <td><a href="<?php echo esc_url( $url ); ?>" target="_blank"><?php echo $url; ?></a></td>
                                        <td class="slicewp-column-visits-count"><?php echo $count; ?></td>
                                        <td class="slicewp-column-visits-percent"><?php echo round( $count / $total_count * 100 , 2) . '%'; ?></td>
                                    </tr>

                                <?php endforeach; ?>

                            <?php else: ?>

                                <tr><td colspan="3"><?php echo __( 'No referral visits found for the selected period.', 'slicewp' ); ?></td></tr>

                            <?php endif; ?>

                        </tbody>

                    </table>

                </div>

            </div><!-- / Top Landing URLs -->

        </div>

        <div class="slicewp-grid-item">

            <!-- Top Referrer URLs -->
            <div class="slicewp-card" style="margin-top: 0;">

                <?php
                    
                    $urls = array();

                    foreach ( $visits as $visit ) {

                        if ( empty( $visit->get( 'referrer_url' ) ) ) {
                            continue;
                        }

                        $urls[$visit->get( 'referrer_url' )] = ( array_key_exists( $visit->get( 'referrer_url' ), $urls ) ? $urls[$visit->get( 'referrer_url' )] + 1 : 1 );

                    }

                    arsort( $urls );

                    $total_count = array_sum( $urls );

                    $urls = array_slice( $urls, 0, 12 );

                ?>

                <div class="slicewp-card-header">
                    <span class="slicewp-card-title"><?php echo __( 'Top Referrer URLs', 'slicewp-reports' ); ?></span>
                </div>

                <div class="slicewp-card-inner">
                    
                    <table class="slicewp-card-table-full-width">

                        <thead>
                            <tr>
                                <th><?php echo __( 'URL', 'slicewp' ); ?></th>
                                <th class="slicewp-column-visits-count"><?php echo __( 'Visits', 'slicewp' ); ?></th>
                                <th></th>
                            </tr>
                        </thead>

                        <tbody>

                            <?php if ( ! empty( $urls ) ): ?>

                                <?php foreach ( $urls as $url => $count ): ?>

                                    <tr>
                                        <td><a href="<?php echo esc_url( $url ); ?>" target="_blank"><?php echo $url; ?></a></td>
                                        <td class="slicewp-column-visits-count"><?php echo $count; ?></td>
                                        <td class="slicewp-column-visits-percent"><?php echo round( $count / $total_count * 100 , 2) . '%'; ?></td>
                                    </tr>

                                <?php endforeach; ?>

                            <?php else: ?>

                                <tr><td colspan="3"><?php echo __( 'No referral URLs found for the selected period.', 'slicewp' ); ?></td></tr>

                            <?php endif; ?>

                        </tbody>

                    </table>

                </div>

            </div><!-- / Top Referrer URLs -->
        
        </div>

    </div>

</div><!-- / Tab: Visits Reports -->