<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Returns the slugs of the official legacy single add-ons.
 * 
 * @access private
 * 
 * @return array
 * 
 */
function _slicewp_get_legacy_single_add_ons() {

    return array(
        'affiliate-coupons',
        'custom-affiliate-fields',
        'custom-affiliate-slug',
        'affiliate-landing-pages',
        'affiliate-leaderboard',
        'affiliate-social-share',
        'product-commission-rates',
        'affiliate-start-id',
        'multi-level-affiliates',
        'lead-commissions',
        'recurring-commissions',
        'lifetime-commissions',
        'store-credit',
        'paypal-payouts',
        'import-export',
        'mailchimp-integration',
        'mailerlite-integration',
        'convertkit-integration',
        'custom-conversion',
        'reports',
        'affiliate-commission-rates',
    );

}


/**
 * Returns an array with the active legacy single add-ons.
 * 
 * @access private
 * 
 * @return array
 * 
 */
function _slicewp_get_active_legacy_single_add_ons() {

    $active_plugins = get_option( 'active_plugins', array() );
    $active_add_ons = array();
    
    foreach ( _slicewp_get_legacy_single_add_ons() as $add_on_slug ) {

        if ( in_array( 'slicewp-add-on-' . $add_on_slug . '/index.php', $active_plugins ) ) {
            $active_add_ons[] = $add_on_slug;
        }

    }

    return $active_add_ons;

}


/**
 * Verifies if the given legacy add-on is active or not.
 * 
 * @access private
 * 
 * @return bool
 * 
 */
function _slicewp_is_legacy_single_add_on_active( $add_on_slug ) {

    $add_on_slug    = str_replace( '_', '-', $add_on_slug );
    $active_add_ons = _slicewp_get_active_legacy_single_add_ons();

    if ( in_array( $add_on_slug, $active_add_ons ) ) {
        return true;
    }

    return false;

}